[Touch-packages] [Bug 1805781] Re: package ca-certificates 20180409 failed to install/upgrade: installed ca-certificates package post-installation script subprocess returned error exit status 10

2018-11-28 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ca-certificates in Ubuntu.
https://bugs.launchpad.net/bugs/1805781

Title:
  package ca-certificates 20180409 failed to install/upgrade: installed
  ca-certificates package post-installation script subprocess returned
  error exit status 10

Status in ca-certificates package in Ubuntu:
  New

Bug description:
  I upgraded release. The ca-certificates page failed.

  Status 10.

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: ca-certificates 20180409
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  Date: Thu Nov 29 20:20:37 2018
  ErrorMessage: installed ca-certificates package post-installation script 
subprocess returned error exit status 10
  InstallationDate: Installed on 2018-02-25 (277 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105.1)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.6, Python 3.6.7, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.1
   apt  1.6.6
  SourcePackage: ca-certificates
  Title: package ca-certificates 20180409 failed to install/upgrade: installed 
ca-certificates package post-installation script subprocess returned error exit 
status 10
  UpgradeStatus: Upgraded to bionic on 2018-11-29 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ca-certificates/+bug/1805781/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805781] [NEW] package ca-certificates 20180409 failed to install/upgrade: installed ca-certificates package post-installation script subprocess returned error exit status 10

2018-11-28 Thread Buddha
Public bug reported:

I upgraded release. The ca-certificates page failed.

Status 10.

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: ca-certificates 20180409
ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
Uname: Linux 4.15.0-39-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
Date: Thu Nov 29 20:20:37 2018
ErrorMessage: installed ca-certificates package post-installation script 
subprocess returned error exit status 10
InstallationDate: Installed on 2018-02-25 (277 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105.1)
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.7, python3-minimal, 3.6.7-1~18.04
PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2.1
 apt  1.6.6
SourcePackage: ca-certificates
Title: package ca-certificates 20180409 failed to install/upgrade: installed 
ca-certificates package post-installation script subprocess returned error exit 
status 10
UpgradeStatus: Upgraded to bionic on 2018-11-29 (0 days ago)

** Affects: ca-certificates (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ca-certificates in Ubuntu.
https://bugs.launchpad.net/bugs/1805781

Title:
  package ca-certificates 20180409 failed to install/upgrade: installed
  ca-certificates package post-installation script subprocess returned
  error exit status 10

Status in ca-certificates package in Ubuntu:
  New

Bug description:
  I upgraded release. The ca-certificates page failed.

  Status 10.

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: ca-certificates 20180409
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  Date: Thu Nov 29 20:20:37 2018
  ErrorMessage: installed ca-certificates package post-installation script 
subprocess returned error exit status 10
  InstallationDate: Installed on 2018-02-25 (277 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105.1)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.6, Python 3.6.7, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.1
   apt  1.6.6
  SourcePackage: ca-certificates
  Title: package ca-certificates 20180409 failed to install/upgrade: installed 
ca-certificates package post-installation script subprocess returned error exit 
status 10
  UpgradeStatus: Upgraded to bionic on 2018-11-29 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ca-certificates/+bug/1805781/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805757] Re: libjack-jackd2-dev can't be installed on ubuntu 18.10

2018-11-28 Thread Sebastien Bacher
Thank you for your bug report, but that libjack-jackd2-0 version is the issue 
and it's not from Ubuntu, did you get it from a ppa or something?
Doing "sudo apt install libjack-jackd2-0/cosmic" should fix it though

** Changed in: jackd2 (Ubuntu)
   Importance: Undecided => Low

** Changed in: jackd2 (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1805757

Title:
  libjack-jackd2-dev can't be installed on ubuntu 18.10

Status in jackd2 package in Ubuntu:
  Invalid

Bug description:
  I need the package for the build-dep of ffmpeg. But it can't be installed:
  sudo apt-get install libjack-jackd2-dev
  Paketlisten werden gelesen... Fertig
  Abhängigkeitsbaum wird aufgebaut.   
  Statusinformationen werden eingelesen Fertig
  Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
  Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
  Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
  nicht erstellt wurden oder Incoming noch nicht verlassen haben.
  Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

  Die folgenden Pakete haben unerfüllte Abhängigkeiten:
   libjack-jackd2-dev : Hängt ab von: libjack-jackd2-0 (= 1.9.12~dfsg-2) aber 
2:1.9.11~20160223-1~wily1 soll installiert werden
  E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte 
Pakete.

  Sorry it is in German, I don't know how to set apt back to English...
  But it basically says that it depends from libjack-jackd2-0 (=
  1.9.12~dfsg-2) but 2:1.9.11~20160223-1~wily1 should be installed.

  Output of "apt policy libjack-jackd2-dev libjack-jackd2-0":
  libjack-jackd2-dev:
Installiert:   (keine)
Installationskandidat: 1.9.12~dfsg-2
Versionstabelle:
   1.9.12~dfsg-2 500
  500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
  libjack-jackd2-0:
Installiert:   2:1.9.11~20160223-1~wily1
Installationskandidat: 2:1.9.11~20160223-1~wily1
Versionstabelle:
   *** 2:1.9.11~20160223-1~wily1 100
  100 /var/lib/dpkg/status
   1.9.12~dfsg-2 500
  500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1805757/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805523] Re: System Sound Events Not Playing even when enabled

2018-11-28 Thread Sebastien Bacher
** Changed in: libcanberra (Ubuntu)
   Status: Incomplete => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libcanberra in Ubuntu.
https://bugs.launchpad.net/bugs/1805523

Title:
  System Sound Events Not Playing even when enabled

Status in libcanberra package in Ubuntu:
  New

Bug description:
  Expected Behavior:

  Doing something like displaying a warning or error should play an
  error sound.

  
  Actual Behavior:

  Some events don't play sounds at all when they should, even though the
  event-sounds setting is enabled through dconf or Tweaks. The other
  Yaru system sounds are present in /usr/share/sounds/Yaru yet nothing
  still plays. Some sounds that do play is the warning that appears when
  closing multiple tabs in firefox, and inserting a usb device

  
  To reproduce:

  Do something that should produce an error or warning noise, like
  emptying the trash or quitting terminal with a running process open.

  
  The sound theme is installed from apt repository, yaru-theme-sound version 
18.10.6

  I'm not 100% certain this package is the culprit, but here's the info:
  libcanberra version: 0.30-6ubuntu1
  Ubuntu version 18.10

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: libcanberra0 0.30-6ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Nov 27 16:49:51 2018
  InstallationDate: Installed on 2018-11-25 (2 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libcanberra
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libcanberra/+bug/1805523/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1784485] Re: [ZenBook S UX391UA, Realtek ALC294, Mic, Internal] No sound at all

2018-11-28 Thread chovy
I have the pavucontrol showing audio but no sound is coming out of the
spakers.

ACL294 on Asus Zenbook UX433FA-DH74

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1784485

Title:
  [ZenBook S UX391UA, Realtek ALC294, Mic, Internal] No sound at all

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal speaker - not sound at all
  Cable Headphonse - realy quiet disorted sound
  Bluetooth headphones - sound works fine

  On Windows 10 everything works fine.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-29.31-generic 4.15.18
  Uname: Linux 4.15.0-29-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pmichalski   7964 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Jul 30 22:32:10 2018
  InstallationDate: Installed on 2018-07-17 (12 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=pl_PL.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaRecordingTest: ALSA recording test through plughw:PCH failed
  Symptom_Card: Wbudowany dźwięk - HDA Intel PCH
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  gdm2988 F pulseaudio
pmichalski   7964 F pulseaudio
  Symptom_Jack: Mic, Internal
  Symptom_Type: No sound at all
  Title: [ZenBook S UX391UA, Realtek ALC294, Mic, Internal] No sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: UX391UA.204
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: UX391UA
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrUX391UA.204:bd05/18/2018:svnASUSTeKCOMPUTERINC.:pnZenBookSUX391UA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX391UA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.family: ZenBook S
  dmi.product.name: ZenBook S UX391UA
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1784485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1804847] Re: systemd=229-4ubuntu21.8 use of fchownat failes on some systems (openvz)

2018-11-28 Thread Vasily Averin
Updated OpenVz6 kernel was released:
https://wiki.openvz.org/Download/kernel/rhel6/042stab134.7

We are very grateful for Ubuntu team for reverting of patches specially
for OpenVz.

For affected hosters: OpenVz6 is great but it is really old,
and similar incidents can happen again and again.
Please think about switch to RHEL7-based OpenVz7.

Thank you,
   Vasily Averin

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1804847

Title:
  systemd=229-4ubuntu21.8 use of fchownat failes on some systems
  (openvz)

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  The following description is taken from:

  https://answers.launchpad.net/ubuntu/+source/systemd/+question/676237

  Hello everyone,
  I'm running 16.04 LTS on a virtual server which, I think, uses OpenVz. After 
a recent reboot I found most of my services to be in a failed state. The reason 
for that, I guess, are these log entries:

  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/elasticsearch failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/kopano 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/php 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/postgresql 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/redis 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/screen 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of /run/utmp 
failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/links failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/systemd/netif/leases failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8 failed: Invalid argument
  Nov 17 04:47:42 h2118376 systemd-tmpfiles[165]: fchownat() of 
/run/log/journal/bbad3a438f4b4fb49e5d0700bd5981e8/system.journal failed: 
Invalid argument

  To verify I tried this:

  /usr/lib/tmpfiles.d# SYSTEMD_LOG_LEVEL=debug systemd-tmpfiles --create 
elasticsearch.conf
  Reading config file "elasticsearch.conf".
  Running create action for entry d /var/run/elasticsearch
  Found existing directory "/var/run/elasticsearch".
  "/run/elasticsearch" has right mode 40755
  chown "/run/elasticsearch" to 120.128
  fchownat() of /run/elasticsearch failed: Invalid argument

  I can manually chown the directories, e.g. "chown
  elasticsearch:elasticsearch /var/run/elasticsearch" and restart the
  service successfully.  My suspicion is, this is related to an upgrade
  of systemd to 229-4ubuntu21.8.

  At this point I don't know what to do.

  I'm also confused about the version I have installed, which I thought is 
systemd-229. Howver, I looked at 
https://github.com/systemd/systemd/blob/v229/src/tmpfiles/tmpfiles.c and found 
that fchownat() is only used from version 238+:
  Tag v237 (and earlier, including 229):
  /.../
  if (chown(fn,
    i->uid_set ? i->uid : UID_INVALID,
    i->gid_set ? i->gid : GID_INVALID) < 0)
  return log_error_errno(errno, "chown(%s) 
failed: %m", path);
  }
  /.../

  Tag v238

  /.../
  if (fchownat(fd,
   "",
   i->uid_set ? i->uid : UID_INVALID,
   i->gid_set ? i->gid : GID_INVALID,
   AT_EMPTY_PATH) < 0)
  return log_error_errno(errno, "fchownat() of %s failed: %m", path);
  /.../

  Any help fixing this problem would be highly appreciated.
  Many thanks,
  Rafael

  === Notes ===
  fchownat() was added to Linux in kernel 2.6.16;
  library support was added to glibc in version 2.4.
  checkinf if it is blocked/filtered/sandboxed, rarther than unavailable.
  glibc in bionic requires minimum linux 3.2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1804847/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805758] Re: error when install xserver-xorg-video-intel

2018-11-28 Thread Daniel van Vugt
Sounds like bug 1758967, although that one is a bit unclear.

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Summary changed:

- error when install xserver-xorg-video-intel
+ error when install xserver-xorg-video-intel: unmet dependencies Depends: 
xorg-video-abi-20 Depends: xserver-xorg-core (>= 2:1.17.99.902)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1805758

Title:
  error when install xserver-xorg-video-intel: unmet dependencies
  Depends: xorg-video-abi-20 Depends: xserver-xorg-core (>=
  2:1.17.99.902)

Status in xorg-server package in Ubuntu:
  New

Bug description:
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:

  The following packages have unmet dependencies:
   xserver-xorg-video-intel : Depends: xorg-video-abi-20
  Depends: xserver-xorg-core (>= 2:1.17.99.902)
  E: Unable to correct problems, you have held broken packages.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3.1
  ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  BootLog:
   
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Thu Nov 29 09:56:24 2018
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:04d7]
  InstallationDate: Installed on 2018-11-08 (20 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  MachineType: Dell Inc. Dell System Inspiron N4110
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-39-generic 
root=UUID=820ff3ec-0d0c-400d-b14d-0ba206196997 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/07/2012
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A12
  dmi.board.name: 05TM8C
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA12:bd09/07/2012:svnDellInc.:pnDellSystemInspironN4110:pvr:rvnDellInc.:rn05TM8C:rvrA00:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System Inspiron N4110
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.91-2~16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1805758/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805758] [NEW] error when install xserver-xorg-video-intel

2018-11-28 Thread Nayeem Hasan
Public bug reported:

Reading package lists... Done
Building dependency tree   
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xserver-xorg-video-intel : Depends: xorg-video-abi-20
Depends: xserver-xorg-core (>= 2:1.17.99.902)
E: Unable to correct problems, you have held broken packages.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3.1
ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-39-generic x86_64
.tmp.unity_support_test.0:
 
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
BootLog:
 
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Thu Nov 29 09:56:24 2018
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:04d7]
InstallationDate: Installed on 2018-11-08 (20 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
MachineType: Dell Inc. Dell System Inspiron N4110
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-39-generic 
root=UUID=820ff3ec-0d0c-400d-b14d-0ba206196997 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/07/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 05TM8C
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: 
dmi:bvnDellInc.:bvrA12:bd09/07/2012:svnDellInc.:pnDellSystemInspironN4110:pvr:rvnDellInc.:rn05TM8C:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.family: HuronRiver System
dmi.product.name: Dell System Inspiron N4110
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.91-2~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug compiz-0.9 third-party-packages ubuntu xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1805758

Title:
  error when install xserver-xorg-video-intel

Status in xorg package in Ubuntu:
  New

Bug description:
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:

  The following packages have unmet dependencies:
   xserver-xorg-video-intel : Depends: xorg-video-abi-20
  Depends: xserver-xorg-core (>= 2:1.17.99.902)
  E: Unable to correct problems, you have held broken packages.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3.1
  ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  BootLog:
   
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Thu Nov 29 09:56:24 2018
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell 2nd Generation Core Processor Family 

[Touch-packages] [Bug 1805757] [NEW] libjack-jackd2-dev can't be installed on ubuntu 18.10

2018-11-28 Thread Lukas Florea
Public bug reported:

I need the package for the build-dep of ffmpeg. But it can't be installed:
sudo apt-get install libjack-jackd2-dev
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.   
Statusinformationen werden eingelesen Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 libjack-jackd2-dev : Hängt ab von: libjack-jackd2-0 (= 1.9.12~dfsg-2) aber 
2:1.9.11~20160223-1~wily1 soll installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte 
Pakete.

Sorry it is in German, I don't know how to set apt back to English...
But it basically says that it depends from libjack-jackd2-0 (=
1.9.12~dfsg-2) but 2:1.9.11~20160223-1~wily1 should be installed.

Output of "apt policy libjack-jackd2-dev libjack-jackd2-0":
libjack-jackd2-dev:
  Installiert:   (keine)
  Installationskandidat: 1.9.12~dfsg-2
  Versionstabelle:
 1.9.12~dfsg-2 500
500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
libjack-jackd2-0:
  Installiert:   2:1.9.11~20160223-1~wily1
  Installationskandidat: 2:1.9.11~20160223-1~wily1
  Versionstabelle:
 *** 2:1.9.11~20160223-1~wily1 100
100 /var/lib/dpkg/status
 1.9.12~dfsg-2 500
500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages

** Affects: jackd2 (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1805757

Title:
  libjack-jackd2-dev can't be installed on ubuntu 18.10

Status in jackd2 package in Ubuntu:
  New

Bug description:
  I need the package for the build-dep of ffmpeg. But it can't be installed:
  sudo apt-get install libjack-jackd2-dev
  Paketlisten werden gelesen... Fertig
  Abhängigkeitsbaum wird aufgebaut.   
  Statusinformationen werden eingelesen Fertig
  Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
  Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
  Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
  nicht erstellt wurden oder Incoming noch nicht verlassen haben.
  Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

  Die folgenden Pakete haben unerfüllte Abhängigkeiten:
   libjack-jackd2-dev : Hängt ab von: libjack-jackd2-0 (= 1.9.12~dfsg-2) aber 
2:1.9.11~20160223-1~wily1 soll installiert werden
  E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte 
Pakete.

  Sorry it is in German, I don't know how to set apt back to English...
  But it basically says that it depends from libjack-jackd2-0 (=
  1.9.12~dfsg-2) but 2:1.9.11~20160223-1~wily1 should be installed.

  Output of "apt policy libjack-jackd2-dev libjack-jackd2-0":
  libjack-jackd2-dev:
Installiert:   (keine)
Installationskandidat: 1.9.12~dfsg-2
Versionstabelle:
   1.9.12~dfsg-2 500
  500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
  libjack-jackd2-0:
Installiert:   2:1.9.11~20160223-1~wily1
Installationskandidat: 2:1.9.11~20160223-1~wily1
Versionstabelle:
   *** 2:1.9.11~20160223-1~wily1 100
  100 /var/lib/dpkg/status
   1.9.12~dfsg-2 500
  500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1805757/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1802135] Re: broken touchpad after i2c-i801 blacklist change

2018-11-28 Thread Anthony Wong
** Changed in: linux (Ubuntu)
   Status: Incomplete => Confirmed

** Changed in: linux (Ubuntu Xenial)
   Status: Incomplete => Confirmed

** Changed in: linux (Ubuntu Bionic)
   Status: Incomplete => Confirmed

** Changed in: linux (Ubuntu Cosmic)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kmod in Ubuntu.
https://bugs.launchpad.net/bugs/1802135

Title:
  broken touchpad after i2c-i801 blacklist change

Status in kmod package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed
Status in kmod source package in Xenial:
  Fix Committed
Status in linux source package in Xenial:
  Confirmed
Status in kmod source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Confirmed
Status in kmod source package in Cosmic:
  Fix Committed
Status in linux source package in Cosmic:
  Confirmed

Bug description:
  SRU:
  

  [Impact]
  ThinkPad 11e 2nd/3rd touchpad not working when load i2c-i801.
  PNP LEN0049 will use smbus by default in kernel, but i2c bus is in
  runtime suspend mode in old touchpad fw.
  Then touchpad will not work.
  LEN2040 on 11e 3rd can reproduce this issue by passing
  psmouse.synaptics_intertouch=1

  These 2 pnp device should be the same one Synaptics s3203_ver5.

  [Fix]
  i2c-i801 should auto suspend when not used, no need runtime pm.

  [Test Case]
  Tested on Thinkpad 11e 3rd.
  Touchpad works fine.

  [Regression Potential]
  Low, upstream fix cherry-picked.

  4.18 kernel patch, no need for cosmic.

  
  Original bug report:
  =
  After upgrading to kmod (24-1ubuntu3.1) the trackpads stop working on Lenovo 
11e 2nd gen machines.

  We have a fleet of approximetly 1000 of them in production running
  ubuntu 18.04. Prior to this update the trackpads worked out of box in
  18.04.

  We are currently working around the issue by deploying our own
  blacklist files.

  Here is a link to the SRU justification: https://bugs.launchpad.net
  /hwe-next/+bug/1786574

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kmod/+bug/1802135/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1518609] Re: package libframe6:amd64 2.5.0daily13.06.05-0ubuntu1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attemptin

2018-11-28 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: frame (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to frame in Ubuntu.
https://bugs.launchpad.net/bugs/1518609

Title:
  package libframe6:amd64 2.5.0daily13.06.05-0ubuntu1 failed to
  install/upgrade: package is in a very bad inconsistent state; you
  should  reinstall it before attempting configuration

Status in frame package in Ubuntu:
  Confirmed

Bug description:
  Description:  Ubuntu 15.10
  Release:  15.10

  tried to install steam from official deb

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: libframe6:amd64 2.5.0daily13.06.05-0ubuntu1
  ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
  Uname: Linux 4.2.0-16-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.19.1-0ubuntu3
  AptOrdering:
   curl: Install
   libframe6: Configure
   curl: Configure
   NULL: ConfigurePending
  Architecture: amd64
  Date: Sat Nov 21 21:09:36 2015
  DuplicateSignature: 
package:libframe6:amd64:2.5.0daily13.06.05-0ubuntu1:package is in a very bad 
inconsistent state; you should  reinstall it before attempting configuration
  ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  InstallationDate: Installed on 2015-11-21 (0 days ago)
  InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Release amd64 
(20151021)
  RelatedPackageVersions:
   dpkg 1.18.2ubuntu5
   apt  1.0.10.2ubuntu1
  SourcePackage: frame
  Title: package libframe6:amd64 2.5.0daily13.06.05-0ubuntu1 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/frame/+bug/1518609/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805523] Re: System Sound Events Not Playing even when enabled

2018-11-28 Thread Ethan Cha
Thank you, I just tried that but nothing ever displays in settings when
I trigger the event.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libcanberra in Ubuntu.
https://bugs.launchpad.net/bugs/1805523

Title:
  System Sound Events Not Playing even when enabled

Status in libcanberra package in Ubuntu:
  Incomplete

Bug description:
  Expected Behavior:

  Doing something like displaying a warning or error should play an
  error sound.

  
  Actual Behavior:

  Some events don't play sounds at all when they should, even though the
  event-sounds setting is enabled through dconf or Tweaks. The other
  Yaru system sounds are present in /usr/share/sounds/Yaru yet nothing
  still plays. Some sounds that do play is the warning that appears when
  closing multiple tabs in firefox, and inserting a usb device

  
  To reproduce:

  Do something that should produce an error or warning noise, like
  emptying the trash or quitting terminal with a running process open.

  
  The sound theme is installed from apt repository, yaru-theme-sound version 
18.10.6

  I'm not 100% certain this package is the culprit, but here's the info:
  libcanberra version: 0.30-6ubuntu1
  Ubuntu version 18.10

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: libcanberra0 0.30-6ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Nov 27 16:49:51 2018
  InstallationDate: Installed on 2018-11-25 (2 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libcanberra
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libcanberra/+bug/1805523/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805048] Re: [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or crackling sound. It's not my microphone, it's every audio input... Audio output is fine

2018-11-28 Thread Daniel van Vugt
Thanks.

Most likely (usually) this is noise from the motherboard and other
system internals, so a hardware design fault. Although manufacturers
might disagree about what is an acceptable level of noise. If that's
true then your best bet would be to get a USB microphone, which
separates the mic electronics from the noisy internals of the computer.

** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1805048

Title:
  [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or
  crackling sound. It's not my microphone, it's every audio input...
  Audio output is fine

Status in pulseaudio package in Ubuntu:
  New

Bug description:
  Motherboard : MSI B350M BAZOOKA

  It happens all the time, and with every audio input...

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: pulseaudio 1:11.1-1ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  p4ul1  1433 F pulseaudio
   /dev/snd/pcmC1D0c:   p4ul1  1433 F...m pulseaudio
   /dev/snd/pcmC1D0p:   p4ul1  1433 F...m pulseaudio
   /dev/snd/controlC1:  p4ul1  1433 F pulseaudio
  CurrentDesktop: communitheme:ubuntu:GNOME
  Date: Sun Nov 25 21:40:48 2018
  InstallationDate: Installed on 2018-11-25 (0 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_AlsaRecordingTest: ALSA recording test through plughw:Generic 
successful
  Symptom_Card: Family 17h (Models 00h-0fh) HD Audio Controller - HD-Audio 
Generic
  Symptom_Jack: Pink Mic, Front
  Symptom_PulseAudioLog:
   Nov 25 21:02:45 p4ul1-MS-7A38 dbus-daemon[806]: [system] Activating via 
systemd: service name='org.freedesktop.RealtimeKit1' 
unit='rtkit-daemon.service' requested by ':1.32' (uid=121 pid=1123 
comm="/usr/bin/pulseaudio --daemonize=no " label="unconfined")
   Nov 25 21:02:46 p4ul1-MS-7A38 dbus-daemon[806]: [system] Activating via 
systemd: service name='org.bluez' unit='dbus-org.bluez.service' requested by 
':1.59' (uid=121 pid=1123 comm="/usr/bin/pulseaudio --daemonize=no " 
label="unconfined")
  Symptom_PulseAudioRecordingTest: PulseAudio recording test through 
plughw:Generic failed
  Symptom_Type: Underruns, dropouts, or "crackling" sound
  Title: [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or 
crackling sound
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/19/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1.70
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: B350M BAZOOKA (MS-7A38)
  dmi.board.vendor: Micro-Star International Co., Ltd
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Micro-Star International Co., Ltd.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1.70:bd09/19/2017:svnMicro-StarInternationalCo.,Ltd.:pnMS-7A38:pvr1.0:rvnMicro-StarInternationalCo.,Ltd:rnB350MBAZOOKA(MS-7A38):rvr1.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr1.0:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: MS-7A38
  dmi.product.version: 1.0
  dmi.sys.vendor: Micro-Star International Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1805048/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1773697] Re: [USB-Audio - PX USB, playback] snd-usb-audio: probe of 2-3:1.0 failed with error -22 after kernel upgrade

2018-11-28 Thread href
Same problem on 4.15.0-39-generic #42-Ubuntu x86_64 @ Thinkpad W540. Can
not upgrade to 4.19 because of NVIDIA driver does not support this
kernel. Could you please bugfix recent kernel!?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1773697

Title:
  [USB-Audio - PX USB, playback] snd-usb-audio: probe of 2-3:1.0 failed
  with error -22 after kernel upgrade

Status in alsa-driver package in Ubuntu:
  New
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Bug report has been generated on a partially working configuration.
  That allows ubuntu-bug to do more work.

  USB-Audio Connection on Bowers & Wilkens PX Bluetooth Headphones
  started working when upgrading kernel from 4.13 to 4.15 series. Then
  it suddenly stopped working again on newer kernels. The bug report has
  been generated on the latest working mainline kernel 4.15.7. All newer
  kernels have some usb quirks in place, which should fix the playback
  sample rates to 48 kHz. The quirk seems not to be working correctly
  and hinder the audio system to recognize the USB-device as a sound
  device.

  The Headphones work on kernels before 4,15.7 when manually configuring
  pulseaudio to a default samplerate of 48 kHz.

  PX Headphones are on the newest firmware level.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 4.15.7-041507-lowlatency x86_64
  AlsaInfo: Error: command ['/usr/share/alsa-base/alsa-info.sh', '--stdout', 
'--no-upload'] failed with exit code 1: mktemp: failed to create directory via 
template '/tmp/zsh-1000/alsa-info.XX': No such file or directory
  ApportVersion: 2.20.9-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  dshr   2729 F pulseaudio
   /dev/snd/controlC1:  dshr   2729 F pulseaudio
   /dev/snd/controlC0:  dshr   2729 F pulseaudio
  CurrentDesktop: GNOME
  Date: Sun May 27 22:21:53 2018
  InstallationDate: Installed on 2016-02-05 (841 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/zsh
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:USB successful
  Symptom_Card: PX USB - PX USB
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  dshr   2729 F pulseaudio
   /dev/snd/controlC1:  dshr   2729 F pulseaudio
   /dev/snd/controlC0:  dshr   2729 F pulseaudio
  Symptom_PulsePlaybackTest: PulseAudio playback test successful
  Symptom_Type: No sound at all
  Title: [USB-Audio - PX USB, playback] No sound at all
  UpgradeStatus: Upgraded to bionic on 2018-05-27 (0 days ago)
  dmi.bios.date: 06/23/2015
  dmi.bios.vendor: LENOVO
  dmi.bios.version: N11ET33W (1.09 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20CJS00Q00
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrN11ET33W(1.09):bd06/23/2015:svnLENOVO:pn20CJS00Q00:pvrThinkPadT550:rvnLENOVO:rn20CJS00Q00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T550
  dmi.product.name: 20CJS00Q00
  dmi.product.version: ThinkPad T550
  dmi.sys.vendor: LENOVO
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu13
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  dshr   3423 F pulseaudio
   /dev/snd/pcmC0D0c:   dshr   3423 F...m pulseaudio
  CurrentDesktop: GNOME
  DistroRelease: Ubuntu 18.10
  InstallationDate: Installed on 2018-02-07 (248 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180128)
  MachineType: LENOVO 4291QQ1
  Package: linux (not installed)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/zsh
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-10-generic 
root=UUID=5501522a-496f-40cb-9b68-8ef9726b16c9 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
  RelatedPackageVersions:
   linux-restricted-modules-4.18.0-10-generic N/A
   linux-backports-modules-4.18.0-10-generic  N/A
   linux-firmware 1.175
  Tags:  cosmic
  Uname: Linux 4.18.0-10-generic x86_64
  UpgradeStatus: Upgraded to cosmic on 2018-09-30 (13 days ago)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 08/02/2011
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 8DET51WW (1.21 )
  dmi.board.asset.tag: Not Available
  

[Touch-packages] [Bug 1798597] Re: Backport packages for 18.04.2 HWE stack

2018-11-28 Thread Adam Conrad
Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mesa/18.2.2-0ubuntu1~18.04.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: mesa (Ubuntu Bionic)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1798597

Title:
  Backport packages for 18.04.2 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-7 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in xf86-input-wacom package in Ubuntu:
  Invalid
Status in xorg package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xserver-xorg-input-evdev package in Ubuntu:
  Invalid
Status in xserver-xorg-input-joystick package in Ubuntu:
  Invalid
Status in xserver-xorg-input-libinput package in Ubuntu:
  Invalid
Status in xserver-xorg-input-synaptics package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati package in Ubuntu:
  Invalid
Status in xserver-xorg-video-fbdev package in Ubuntu:
  Invalid
Status in xserver-xorg-video-nouveau package in Ubuntu:
  Invalid
Status in xserver-xorg-video-qxl package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vesa package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vmware package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  Fix Committed
Status in libdrm source package in Bionic:
  Fix Committed
Status in llvm-toolchain-7 source package in Bionic:
  Fix Committed
Status in mesa source package in Bionic:
  Fix Committed
Status in wayland source package in Bionic:
  Fix Committed
Status in xf86-input-wacom source package in Bionic:
  New
Status in xorg source package in Bionic:
  New
Status in xorg-server source package in Bionic:
  New
Status in xserver-xorg-input-evdev source package in Bionic:
  New
Status in xserver-xorg-input-joystick source package in Bionic:
  New
Status in xserver-xorg-input-libinput source package in Bionic:
  New
Status in xserver-xorg-input-synaptics source package in Bionic:
  New
Status in xserver-xorg-video-amdgpu source package in Bionic:
  New
Status in xserver-xorg-video-ati source package in Bionic:
  New
Status in xserver-xorg-video-fbdev source package in Bionic:
  New
Status in xserver-xorg-video-nouveau source package in Bionic:
  New
Status in xserver-xorg-video-qxl source package in Bionic:
  New
Status in xserver-xorg-video-vesa source package in Bionic:
  New
Status in xserver-xorg-video-vmware source package in Bionic:
  New

Bug description:
  [Impact]

  These are needed for 18.04.2 images.

  
  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  
  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-7: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  18.2.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new major release, but since it's renamed there's no real
  chance of regression when it hits the archive

  xorg drivers: same as xserver

  
  [Other info]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1798597/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1789924] Re: Missing Intel GPU pci-id's

2018-11-28 Thread Adam Conrad
Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mesa/18.2.2-0ubuntu1~18.04.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: mesa (Ubuntu Bionic)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1789924

Title:
  Missing Intel GPU pci-id's

Status in libdrm package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in mesa package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  Fix Released
Status in libdrm source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Fix Released
Status in mesa source package in Bionic:
  Fix Committed
Status in xorg-server source package in Bionic:
  Fix Released
Status in libdrm source package in Cosmic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in mesa source package in Cosmic:
  New
Status in xorg-server source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  There are some new Intel GPU pci-id's that need to be added to several places:

  0x3E98
  0x87C0

  and to make future additions easier, add platform definitions for
  Whiskey Lake and Amber Lake too.

  [Test case]
  Check that the user session uses the proper driver on these systems.

  [Regression potential]
  none, these just add pci-id's and platform definitions

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libdrm/+bug/1789924/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1763520] Re: after upgrade to bionic, printing fails without explanation / logs / debuggability

2018-11-28 Thread Till Kamppeter
No, not yet.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1763520

Title:
  after upgrade to bionic, printing fails without explanation / logs /
  debuggability

Status in cups-filters package in Ubuntu:
  Invalid
Status in gtk+3.0 package in Ubuntu:
  Triaged

Bug description:
  I am unable to print to my network-attached printer after upgrade to
  bionic.  ps shows:

  lp   26047  0.0  0.0  91668  5756 ?S15:06   0:00  \_ 
HP-ENVY-4500-new 473 vorlon USCIS Form I-9 1 print-content-optimize=auto 
print-rendering-intent=auto cupsPrintQuality=4 number-up=1 MediaType=Stationery 
noCollate print-scaling=auto PageSize=Custom.Letter.SM ColorModel=RGB 
Duplex=DuplexNoTumble job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4
  lp   26050  0.1  0.0  0 0 ?Z15:06   0:00  |   \_ [gs] 

  lp   26048  0.0  0.0  79908  3836 ?S15:06   0:00  \_ 
HP-ENVY-4500-new 473 vorlon USCIS Form I-9 1 print-content-optimize=auto 
print-rendering-intent=auto cupsPrintQuality=4 number-up=1 MediaType=Stationery 
noCollate print-scaling=auto PageSize=Custom.Letter.SM ColorModel=RGB 
Duplex=DuplexNoTumble job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4
  root 26049  0.0  0.0  84388  6192 ?S15:06   0:00  \_ 
ipp://HP645106EA160E.local:631/ipp/print 473 vorlon USCIS Form I-9 1 
print-content-optimize=auto print-rendering-intent=auto cupsPrintQuality=4 
number-up=1 MediaType=Stationery noCollate print-scaling=auto 
PageSize=Custom.Letter.SM ColorModel=RGB Duplex=DuplexNoTumble 
job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4

  Note the un-reaped gs process.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: cups 2.2.7-1ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.9-0ubuntu4
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Apr 12 15:07:49 2018
  InstallationDate: Installed on 2010-09-24 (2757 days ago)
  InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 
(20100816.1)
  MachineType: LENOVO 2306CTO
  Papersize: letter
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-13-generic.efi.signed 
root=/dev/mapper/hostname-root ro quiet splash vt.handoff=1
  SourcePackage: cups
  UpgradeStatus: Upgraded to bionic on 2018-03-21 (21 days ago)
  dmi.bios.date: 10/25/2013
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G2ET97WW (2.57 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 2306CTO
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvrG2ET97WW(2.57):bd10/25/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.family: ThinkPad X230
  dmi.product.name: 2306CTO
  dmi.product.version: ThinkPad X230
  dmi.sys.vendor: LENOVO
  modified.conffile..etc.cups.cupsd.conf: [inaccessible: [Errno 13] Permission 
denied: '/etc/cups/cupsd.conf']

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups-filters/+bug/1763520/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757951] Re: backport from cosmic, move libwayland-egl to src:wayland

2018-11-28 Thread Adam Conrad
*** This bug is a duplicate of bug 1798597 ***
https://bugs.launchpad.net/bugs/1798597

** This bug has been marked a duplicate of bug 1798597
   Backport packages for 18.04.2 HWE stack

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1757951

Title:
  backport from cosmic, move libwayland-egl to src:wayland

Status in wayland package in Ubuntu:
  Invalid
Status in wayland source package in Bionic:
  New

Bug description:
  [Impact]
  libwayland-egl was moved from mesa to wayland in 1.15rc and got dropped from 
Mesa after 18.0.0.

  This update was planned as a FFE but it didn't quite make it before
  bionic release, so here we are.

  [Test case]

  [Regression potential]

  [Other info]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wayland/+bug/1757951/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1781440] Please test proposed package

2018-11-28 Thread Adam Conrad
Hello Till, or anyone else affected,

Accepted wayland into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/wayland/1.16.0-1ubuntu1.1~18.04.1
in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1781440

Title:
  package libwayland-dev 1.15.0-2 failed to install/upgrade: trying to
  overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which
  is also in package libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1

Status in wayland package in Ubuntu:
  Fix Released
Status in wayland source package in Bionic:
  Fix Committed
Status in wayland source package in Cosmic:
  Fix Committed

Bug description:
  [impact]

  upgrade from bionic fails if libwayland-dev & libegl1-mesa-dev was
  installed

  [test case]

  install libwayland-dev & libegl1-mesa-dev on bionic, upgrade to cosmic

  [regression potential]

  none, the fix only changes the version numbers in Breaks/Replaces

  
  --

  Occured when upgrading from Bionic to Cosmic.

  ProblemType: Package
  DistroRelease: Ubuntu 18.10
  Package: libwayland-dev 1.15.0-2
  ProcVersionSignature: Ubuntu 4.15.0-24.26-generic 4.15.18
  Uname: Linux 4.15.0-24-generic x86_64
  ApportVersion: 2.20.10-0ubuntu5
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jul 12 18:41:26 2018
  DistUpgraded: Fresh install
  DistroCodename: cosmic
  DistroVariant: ubuntu
  ErrorMessage: trying to overwrite 
'/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which is also in package 
libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
     Subsystem: Lenovo HD Graphics 620 [17aa:224e]
  InstallationDate: Installed on 2018-02-07 (155 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180207)
  MachineType: LENOVO 20JDCTO1WW
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-24-generic 
root=UUID=150ad8bc-1d20-4de9-a767-b2b0679455f3 ro quiet splash acpi_osi= 
vt.handoff=1
  Python3Details: /usr/bin/python3.6, Python 3.6.6, python3-minimal, 3.6.5-3
  PythonDetails: /usr/bin/python2.7, Python 2.7.15, python-minimal, 2.7.15-3
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu3
   apt  1.7.0~alpha2
  SourcePackage: wayland
  Title: package libwayland-dev 1.15.0-2 failed to install/upgrade: trying to 
overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which is also 
in package libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/26/2017
  dmi.bios.vendor: LENOVO
  dmi.bios.version: N1NET33W (1.20 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20JDCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 31
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrN1NET33W(1.20):bd10/26/2017:svnLENOVO:pn20JDCTO1WW:pvrThinkPadX1Yoga2nd:rvnLENOVO:rn20JDCTO1WW:rvrSDK0J40709WIN:cvnLENOVO:ct31:cvrNone:
  dmi.product.family: ThinkPad X1 Yoga 2nd
  dmi.product.name: 20JDCTO1WW
  dmi.product.version: ThinkPad X1 Yoga 2nd
  dmi.sys.vendor: LENOVO
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.92-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.3-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.3-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:

[Touch-packages] [Bug 1781440] Re: package libwayland-dev 1.15.0-2 failed to install/upgrade: trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which is also in package libegl1

2018-11-28 Thread Adam Conrad
Hello Till, or anyone else affected,

Accepted wayland into cosmic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/wayland/1.16.0-1ubuntu1.1 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-cosmic to verification-done-cosmic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-cosmic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: wayland (Ubuntu Cosmic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-cosmic

** Changed in: wayland (Ubuntu Bionic)
   Status: New => Fix Committed

** Tags added: verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1781440

Title:
  package libwayland-dev 1.15.0-2 failed to install/upgrade: trying to
  overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which
  is also in package libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1

Status in wayland package in Ubuntu:
  Fix Released
Status in wayland source package in Bionic:
  Fix Committed
Status in wayland source package in Cosmic:
  Fix Committed

Bug description:
  [impact]

  upgrade from bionic fails if libwayland-dev & libegl1-mesa-dev was
  installed

  [test case]

  install libwayland-dev & libegl1-mesa-dev on bionic, upgrade to cosmic

  [regression potential]

  none, the fix only changes the version numbers in Breaks/Replaces

  
  --

  Occured when upgrading from Bionic to Cosmic.

  ProblemType: Package
  DistroRelease: Ubuntu 18.10
  Package: libwayland-dev 1.15.0-2
  ProcVersionSignature: Ubuntu 4.15.0-24.26-generic 4.15.18
  Uname: Linux 4.15.0-24-generic x86_64
  ApportVersion: 2.20.10-0ubuntu5
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jul 12 18:41:26 2018
  DistUpgraded: Fresh install
  DistroCodename: cosmic
  DistroVariant: ubuntu
  ErrorMessage: trying to overwrite 
'/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which is also in package 
libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
     Subsystem: Lenovo HD Graphics 620 [17aa:224e]
  InstallationDate: Installed on 2018-02-07 (155 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180207)
  MachineType: LENOVO 20JDCTO1WW
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-24-generic 
root=UUID=150ad8bc-1d20-4de9-a767-b2b0679455f3 ro quiet splash acpi_osi= 
vt.handoff=1
  Python3Details: /usr/bin/python3.6, Python 3.6.6, python3-minimal, 3.6.5-3
  PythonDetails: /usr/bin/python2.7, Python 2.7.15, python-minimal, 2.7.15-3
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu3
   apt  1.7.0~alpha2
  SourcePackage: wayland
  Title: package libwayland-dev 1.15.0-2 failed to install/upgrade: trying to 
overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/wayland-egl.pc', which is also 
in package libegl1-mesa-dev:amd64 18.0.5-0ubuntu0~18.04.1
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/26/2017
  dmi.bios.vendor: LENOVO
  dmi.bios.version: N1NET33W (1.20 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20JDCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 31
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrN1NET33W(1.20):bd10/26/2017:svnLENOVO:pn20JDCTO1WW:pvrThinkPadX1Yoga2nd:rvnLENOVO:rn20JDCTO1WW:rvrSDK0J40709WIN:cvnLENOVO:ct31:cvrNone:
  dmi.product.family: ThinkPad X1 Yoga 2nd
  dmi.product.name: 20JDCTO1WW
  dmi.product.version: ThinkPad X1 Yoga 2nd
  dmi.sys.vendor: LENOVO
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.92-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.3-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.3-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  

[Touch-packages] [Bug 1798597] Re: Backport packages for 18.04.2 HWE stack

2018-11-28 Thread Adam Conrad
Hello Timo, or anyone else affected,

Accepted wayland into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/wayland/1.16.0-1ubuntu1.1~18.04.1
in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: wayland (Ubuntu Bionic)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1798597

Title:
  Backport packages for 18.04.2 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-7 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in xf86-input-wacom package in Ubuntu:
  Invalid
Status in xorg package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xserver-xorg-input-evdev package in Ubuntu:
  Invalid
Status in xserver-xorg-input-joystick package in Ubuntu:
  Invalid
Status in xserver-xorg-input-libinput package in Ubuntu:
  Invalid
Status in xserver-xorg-input-synaptics package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati package in Ubuntu:
  Invalid
Status in xserver-xorg-video-fbdev package in Ubuntu:
  Invalid
Status in xserver-xorg-video-nouveau package in Ubuntu:
  Invalid
Status in xserver-xorg-video-qxl package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vesa package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vmware package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  Fix Committed
Status in libdrm source package in Bionic:
  Fix Committed
Status in llvm-toolchain-7 source package in Bionic:
  Fix Committed
Status in mesa source package in Bionic:
  New
Status in wayland source package in Bionic:
  Fix Committed
Status in xf86-input-wacom source package in Bionic:
  New
Status in xorg source package in Bionic:
  New
Status in xorg-server source package in Bionic:
  New
Status in xserver-xorg-input-evdev source package in Bionic:
  New
Status in xserver-xorg-input-joystick source package in Bionic:
  New
Status in xserver-xorg-input-libinput source package in Bionic:
  New
Status in xserver-xorg-input-synaptics source package in Bionic:
  New
Status in xserver-xorg-video-amdgpu source package in Bionic:
  New
Status in xserver-xorg-video-ati source package in Bionic:
  New
Status in xserver-xorg-video-fbdev source package in Bionic:
  New
Status in xserver-xorg-video-nouveau source package in Bionic:
  New
Status in xserver-xorg-video-qxl source package in Bionic:
  New
Status in xserver-xorg-video-vesa source package in Bionic:
  New
Status in xserver-xorg-video-vmware source package in Bionic:
  New

Bug description:
  [Impact]

  These are needed for 18.04.2 images.

  
  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  
  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-7: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  18.2.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new major release, but since it's renamed there's no real
  chance of regression when it hits the archive

  xorg drivers: same as xserver

  
  [Other info]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1798597/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1789924] Re: Missing Intel GPU pci-id's

2018-11-28 Thread Timo Aaltonen
** Also affects: mesa (Ubuntu Cosmic)
   Importance: Undecided
   Status: New

** Also affects: libdrm (Ubuntu Cosmic)
   Importance: Undecided
   Status: New

** Also affects: xorg-server (Ubuntu Cosmic)
   Importance: Undecided
   Status: New

** Also affects: linux (Ubuntu Cosmic)
   Importance: Undecided
   Status: New

** Changed in: libdrm (Ubuntu Cosmic)
   Status: New => Fix Released

** Changed in: linux (Ubuntu Cosmic)
   Status: New => Fix Released

** Changed in: xorg-server (Ubuntu Cosmic)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1789924

Title:
  Missing Intel GPU pci-id's

Status in libdrm package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in mesa package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  Fix Released
Status in libdrm source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Fix Released
Status in mesa source package in Bionic:
  Confirmed
Status in xorg-server source package in Bionic:
  Fix Released
Status in libdrm source package in Cosmic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in mesa source package in Cosmic:
  New
Status in xorg-server source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  There are some new Intel GPU pci-id's that need to be added to several places:

  0x3E98
  0x87C0

  and to make future additions easier, add platform definitions for
  Whiskey Lake and Amber Lake too.

  [Test case]
  Check that the user session uses the proper driver on these systems.

  [Regression potential]
  none, these just add pci-id's and platform definitions

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libdrm/+bug/1789924/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798597] Re: Backport packages for 18.04.2 HWE stack

2018-11-28 Thread Adam Conrad
Hello Timo, or anyone else affected,

Accepted libclc into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20180917-2~ubuntu0.18.04.1
in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: libclc (Ubuntu Bionic)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1798597

Title:
  Backport packages for 18.04.2 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-7 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in xf86-input-wacom package in Ubuntu:
  Invalid
Status in xorg package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xserver-xorg-input-evdev package in Ubuntu:
  Invalid
Status in xserver-xorg-input-joystick package in Ubuntu:
  Invalid
Status in xserver-xorg-input-libinput package in Ubuntu:
  Invalid
Status in xserver-xorg-input-synaptics package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati package in Ubuntu:
  Invalid
Status in xserver-xorg-video-fbdev package in Ubuntu:
  Invalid
Status in xserver-xorg-video-nouveau package in Ubuntu:
  Invalid
Status in xserver-xorg-video-qxl package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vesa package in Ubuntu:
  Invalid
Status in xserver-xorg-video-vmware package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  Fix Committed
Status in libdrm source package in Bionic:
  Fix Committed
Status in llvm-toolchain-7 source package in Bionic:
  Fix Committed
Status in mesa source package in Bionic:
  New
Status in wayland source package in Bionic:
  Fix Committed
Status in xf86-input-wacom source package in Bionic:
  New
Status in xorg source package in Bionic:
  New
Status in xorg-server source package in Bionic:
  New
Status in xserver-xorg-input-evdev source package in Bionic:
  New
Status in xserver-xorg-input-joystick source package in Bionic:
  New
Status in xserver-xorg-input-libinput source package in Bionic:
  New
Status in xserver-xorg-input-synaptics source package in Bionic:
  New
Status in xserver-xorg-video-amdgpu source package in Bionic:
  New
Status in xserver-xorg-video-ati source package in Bionic:
  New
Status in xserver-xorg-video-fbdev source package in Bionic:
  New
Status in xserver-xorg-video-nouveau source package in Bionic:
  New
Status in xserver-xorg-video-qxl source package in Bionic:
  New
Status in xserver-xorg-video-vesa source package in Bionic:
  New
Status in xserver-xorg-video-vmware source package in Bionic:
  New

Bug description:
  [Impact]

  These are needed for 18.04.2 images.

  
  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  
  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-7: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  18.2.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new major release, but since it's renamed there's no real
  chance of regression when it hits the archive

  xorg drivers: same as xserver

  
  [Other info]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1798597/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805710] [NEW] apport-bug compiz incorrectly detects Unity is running on Ubuntu 18.04 GNOME

2018-11-28 Thread spm2011
Public bug reported:

Ubuntu 18.04 GNOME

To reproduce:
  - Reporting bug in compiz using apport-bug compiz

A dialog box pops up "Thanks for reporting this bug. It seems you have
Unity running." (see screenshot)

Unity desktop is not running or installed.

Expected: apport detects that Unity is not running, does not show the
dialog.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: apport 2.20.9-0ubuntu7.5
ProcVersionSignature: User Name 4.15.0-39.42-generic 4.15.18
Uname: Linux 4.15.0-39-generic x86_64
ApportLog:
 
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Nov 28 16:13:45 2018
EcryptfsInUse: Yes
InstallationDate: Installed on 2018-09-12 (77 days ago)
InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 (20180731)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apport
UpgradeStatus: Upgraded to bionic on 2018-09-28 (61 days ago)

** Affects: apport (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic

** Attachment added: "apport_detects_unity.png"
   
https://bugs.launchpad.net/bugs/1805710/+attachment/5217085/+files/apport_detects_unity.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1805710

Title:
  apport-bug compiz incorrectly detects Unity is running on Ubuntu 18.04
  GNOME

Status in apport package in Ubuntu:
  New

Bug description:
  Ubuntu 18.04 GNOME

  To reproduce:
- Reporting bug in compiz using apport-bug compiz

  A dialog box pops up "Thanks for reporting this bug. It seems you have
  Unity running." (see screenshot)

  Unity desktop is not running or installed.

  Expected: apport detects that Unity is not running, does not show the
  dialog.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.5
  ProcVersionSignature: User Name 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 16:13:45 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (77 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (61 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1805710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1479524] Re: Totem Crashes at launch from missing libwayland-egl

2018-11-28 Thread Timo Aaltonen
** Changed in: mesa (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1479524

Title:
  Totem Crashes at launch from missing libwayland-egl

Status in System76:
  New
Status in livecd-rootfs package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in livecd-rootfs source package in Trusty:
  Fix Released
Status in mesa source package in Trusty:
  Invalid
Status in mesa-lts-vivid source package in Trusty:
  Won't Fix
Status in livecd-rootfs source package in Wily:
  Invalid
Status in mesa source package in Wily:
  Won't Fix

Bug description:
  When trying to open a video file from Ubuntu 14.04.3 Daily Image
  (2015-07-29), it will not open. If totem is manually run from the
  terminal, this error occurs:

  totem: error while loading shared libraries: libwayland-egl.so.1:
  cannot open shared object file: No such file or directory

  Using Ubuntu 14.04.3 LTS (Daily Image from: 2015-07-29) 64-bit
  Totem version: 3.10.1-1ubuntu4

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: totem 3.10.1-1ubuntu4
  ProcVersionSignature: Ubuntu 3.19.0-25.26~14.04.1-generic 3.19.8-ckt2
  Uname: Linux 3.19.0-25-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.11
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Jul 29 15:11:30 2015
  InstallationDate: Installed on 2015-07-29 (0 days ago)
  InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150729)
  SourcePackage: totem
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/system76/+bug/1479524/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1752938] Re: Upgrading Ubuntu 18.04 disables GPU hardware acceleration

2018-11-28 Thread Michal Illich
*** This bug is a duplicate of bug 1768610 ***
https://bugs.launchpad.net/bugs/1768610

Yes, happened to me also. Kubuntu 18.04.1

Yesterday (Nov 27) suddenly (after auto upgrade of the system) nvidia stopped 
working (switched to nouveau, probably).
Upgraded to Kubuntu 18.10
This actually made the situation even worse - stuck on 640x480 resolution.
Had nvidia-390 installed at the moment, but the system wasn't using it.

After some looking around, installed:

sudo apt install nvidia-dkms-410 xserver-xorg-video-nvidia-410 nvidia-
kernel-source-410

which made the situation look better: resolution was again native (1920x1200) 
and nvidia-settings launched and showed 410 driver running.
But in the Steam games, it showed that llvm driver was being used. And games 
such as Wolfenstein New Order (uses proton wine) didn't even launch.

After some more fiddling around, actually using the Kubuntu GUI tool
(System Settings > Driver Manager > Nvidia > 410) fixed the situation.
Apparently the GUI tool does it somehow better than installing the
nvidia package manually.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1752938

Title:
  Upgrading Ubuntu 18.04 disables GPU hardware acceleration

Status in xorg package in Ubuntu:
  Confirmed

Bug description:
  I don't know which package causes this problem. The thing is ugrading
  Ubuntu 18.04 disables my GPU hardware acceleration.

  glxinfo_before_upgrade 
  OpenGL vendor string: X.Org
  OpenGL renderer string: Radeon RX 560 Series (POLARIS11 / DRM 3.23.0 / 
4.15.0-10-generic, LLVM 5.0.1)
  OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.3.3

  glxinfo_after_upgrade 
  OpenGL vendor string: VMware, Inc.
  OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)
  OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.3

  This problem is reproducible.

  Steps to reproduce:
  1. Install Ubuntu 18.04 daily live. I've tried Kubuntu 18.04 Feb 26's daily 
live(the installer in Mar 1 crashes which prevents me from installing it) and 
Xubuntu 18.04 Mar 2's daily live. Ubuntu is utilizing my GPU in live cd session 
and after the fresh install Ubuntu is also utilizing my GPU.
  2. Reboot into the newly installed system, do a dist-upgrade and reboot 
again. Opengl renderer falls back to llvmpipe.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu5
  ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
  Uname: Linux 4.15.0-10-generic x86_64
  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Sat Mar  3 00:58:35 2018
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Baffin [Polaris11] [1002:67ff] (rev 
cf) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Baffin [Radeon RX 560] [1043:04be]
  InstallationDate: Installed on 2018-03-02 (0 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180302)
  MachineType: Gigabyte Technology Co., Ltd. B85M-D3V-A
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed 
root=UUID=d2dcc7eb-84ca-4102-9ae1-239de26d113c ro quiet splash vt.handoff=1
  Renderer: Software
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/12/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F2
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: B85M-D3V-A
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF2:bd02/12/2015:svnGigabyteTechnologyCo.,Ltd.:pnB85M-D3V-A:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnB85M-D3V-A:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: B85M-D3V-A
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.90-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 17.3.3-0ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 17.3.3-0ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.10.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about 

[Touch-packages] [Bug 1707884] Re: GTK3 tooltips are corrupted after latest update

2018-11-28 Thread Timo Aaltonen
no reply, closing

** Changed in: mesa (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1707884

Title:
  GTK3 tooltips are corrupted after latest update

Status in Mesa:
  Confirmed
Status in mesa package in Ubuntu:
  Invalid

Bug description:
  After updating to 1:7.9.0-0ubuntu1~16.04.1, I noticed that all GTK3
  tooltips are corrupted. See the attached screen cast. Other tooltips
  are not affected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xserver-xorg-video-radeon-hwe-16.04 1:7.9.0-0ubuntu1~16.04.1
  ProcVersionSignature: Ubuntu 4.10.0-28.32~16.04.2-generic 4.10.17
  Uname: Linux 4.10.0-28-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Aug  1 12:50:06 2017
  InstallationDate: Installed on 2017-06-21 (40 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  SourcePackage: xserver-xorg-video-ati-hwe-16.04
  UpgradeStatus: No upgrade log present (probably fresh install)
  --- 
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  CurrentDesktop: Unity
  DistroRelease: Ubuntu 16.04
  InstallationDate: Installed on 2017-06-21 (41 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  Package: xserver-xorg-video-ati-hwe-16.04 1:7.9.0-0ubuntu1~16.04.1
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 4.10.0-28.32~16.04.2-generic 4.10.17
  Tags:  xenial
  Uname: Linux 4.10.0-28-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip libvirtd lpadmin plugdev sambashare sudo
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/mesa/+bug/1707884/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1766503] Re: ibus-* randomly use high CPU

2018-11-28 Thread Michal
Same here. If i open system monitor or htop app sysctrl or ibus
disappear and cpu goes back to normal.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1766503

Title:
  ibus-* randomly use high CPU

Status in The Ubuntu Power Consumption Project:
  Confirmed
Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  ibus-* randomly use high CPU in Ubuntu 18.04

  In fact, I think it's now using more CPU overall than the shell itself
  is to redraw a 4K screen:

PID USER  PR  NIVIRTRESSHR S  %CPU %MEM TIME+ COMMAND   
  
   3308 dan   20   0 4009804 192676  84804 R  45.7  2.4   1:13.65 
gnome-shell 
   3352 dan   20   0  384364  26796  20552 S  13.9  0.3   0:22.81 ibus-x11  
  
   3372 dan   20   0  217944  10620   7764 S  10.9  0.1   0:16.20 
ibus-engin+ 
   3350 dan   20   0  293828  10384   7516 R  10.6  0.1   0:16.54 
ibus-dconf  
   3346 dan   20   0  374572  11944   8268 S  10.3  0.1   0:15.93 
ibus-daemon

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu4
  ProcVersionSignature: Ubuntu 4.15.0-19.20-generic 4.15.17
  Uname: Linux 4.15.0-19-generic x86_64
  ApportVersion: 2.20.9-0ubuntu6
  Architecture: amd64
  Date: Tue Apr 24 15:29:07 2018
  InstallationDate: Installed on 2017-12-12 (133 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20171211)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-power-consumption/+bug/1766503/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1754693] Re: Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from _mesa_reference_renderbuffer_() [often when running Skype or Slack snaps]

2018-11-28 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: xorg-server (Ubuntu Bionic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1754693

Title:
  Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from
  _mesa_reference_renderbuffer_() [often when running Skype or Slack
  snaps]

Status in mesa package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  Incomplete
Status in mesa source package in Bionic:
  Confirmed
Status in xorg-server source package in Bionic:
  Confirmed
Status in mesa source package in Cosmic:
  Confirmed
Status in xorg-server source package in Cosmic:
  Incomplete
Status in mesa source package in Disco:
  Confirmed
Status in xorg-server source package in Disco:
  Incomplete

Bug description:
  https://errors.ubuntu.com/problem/01a80d2110a46f6b6d857ce814079646e695f4ca
  https://errors.ubuntu.com/problem/a1e7fe67e388164abd73462b322cb79ac2773fae

  ---

  Steps to reproduce:
  Install 'slack' snap:

     sudo snap install slack --classic

  Run slack:

     slack

  Instacrash.

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: xwayland 2:1.19.6-1ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
  Uname: Linux 4.15.0-10-generic x86_64
  .tmp.unity_support_test.0:

  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  CompizPlugins: 
[core,composite,opengl,decor,mousepoll,grid,vpswitch,compiztoolbox,imgpng,gnomecompat,regex,move,place,resize,snap,unitymtgrabhandles,wall,animation,session,expo,workarounds,fade,ezoom,scale,unityshell]
  CompositorRunning: None
  CurrentDesktop: GNOME
  Date: Fri Mar  9 10:31:06 2018
  DistUpgraded: 2018-03-06 13:58:47,853 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: bionic
  DistroVariant: ubuntu
  EcryptfsInUse: Yes
  ExecutablePath: /usr/bin/Xwayland
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics 
Controller [8086:0412] (rev 06) (prog-if 00 [VGA controller])
     Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v3/4th Gen Core Processor 
Integrated Graphics Controller [1043:8534]
  MachineType: ASUS All Series
  ProcCmdline: /usr/bin/Xwayland :0 -rootless -terminate -accessx -core -listen 
4 -listen 5 -displayfd 6
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic 
root=UUID=cd444f9d-672e-4d7b-aea8-657fff0ea1f4 ro quiet splash 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw 
crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M vt.handoff=1
  Signal: 6
  SourcePackage: xorg-server
  StacktraceTop:
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
  Title: Xwayland crashed with SIGABRT
  UpgradeStatus: Upgraded to bionic on 2018-03-06 (2 days ago)
  UserGroups: adm admin audio cdrom chroot-admin dialout dip egbuild fax floppy 
fuse libvirt libvirtd lpadmin lxd plugdev sambashare sudo tape video wireshark
  dmi.bios.date: 10/27/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2702
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: Z97-PRO
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr2702:bd10/27/2015:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ97-PRO:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: ASUS MB
  dmi.product.name: All Series
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.90-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc4-1ubuntu3
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc4-1ubuntu3
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
  version.xserver-xorg-input-evdev: 

[Touch-packages] [Bug 1754693] Re: Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from _mesa_reference_renderbuffer_() [often when running Skype or Slack snaps]

2018-11-28 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: mesa (Ubuntu Cosmic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1754693

Title:
  Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from
  _mesa_reference_renderbuffer_() [often when running Skype or Slack
  snaps]

Status in mesa package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  Incomplete
Status in mesa source package in Bionic:
  Confirmed
Status in xorg-server source package in Bionic:
  Confirmed
Status in mesa source package in Cosmic:
  Confirmed
Status in xorg-server source package in Cosmic:
  Incomplete
Status in mesa source package in Disco:
  Confirmed
Status in xorg-server source package in Disco:
  Incomplete

Bug description:
  https://errors.ubuntu.com/problem/01a80d2110a46f6b6d857ce814079646e695f4ca
  https://errors.ubuntu.com/problem/a1e7fe67e388164abd73462b322cb79ac2773fae

  ---

  Steps to reproduce:
  Install 'slack' snap:

     sudo snap install slack --classic

  Run slack:

     slack

  Instacrash.

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: xwayland 2:1.19.6-1ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
  Uname: Linux 4.15.0-10-generic x86_64
  .tmp.unity_support_test.0:

  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  CompizPlugins: 
[core,composite,opengl,decor,mousepoll,grid,vpswitch,compiztoolbox,imgpng,gnomecompat,regex,move,place,resize,snap,unitymtgrabhandles,wall,animation,session,expo,workarounds,fade,ezoom,scale,unityshell]
  CompositorRunning: None
  CurrentDesktop: GNOME
  Date: Fri Mar  9 10:31:06 2018
  DistUpgraded: 2018-03-06 13:58:47,853 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: bionic
  DistroVariant: ubuntu
  EcryptfsInUse: Yes
  ExecutablePath: /usr/bin/Xwayland
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics 
Controller [8086:0412] (rev 06) (prog-if 00 [VGA controller])
     Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v3/4th Gen Core Processor 
Integrated Graphics Controller [1043:8534]
  MachineType: ASUS All Series
  ProcCmdline: /usr/bin/Xwayland :0 -rootless -terminate -accessx -core -listen 
4 -listen 5 -displayfd 6
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic 
root=UUID=cd444f9d-672e-4d7b-aea8-657fff0ea1f4 ro quiet splash 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw 
crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M vt.handoff=1
  Signal: 6
  SourcePackage: xorg-server
  StacktraceTop:
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
  Title: Xwayland crashed with SIGABRT
  UpgradeStatus: Upgraded to bionic on 2018-03-06 (2 days ago)
  UserGroups: adm admin audio cdrom chroot-admin dialout dip egbuild fax floppy 
fuse libvirt libvirtd lpadmin lxd plugdev sambashare sudo tape video wireshark
  dmi.bios.date: 10/27/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2702
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: Z97-PRO
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr2702:bd10/27/2015:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ97-PRO:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: ASUS MB
  dmi.product.name: All Series
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.90-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc4-1ubuntu3
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc4-1ubuntu3
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
  version.xserver-xorg-input-evdev: 

[Touch-packages] [Bug 1754693] Re: Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from _mesa_reference_renderbuffer_() [often when running Skype or Slack snaps]

2018-11-28 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: mesa (Ubuntu Bionic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1754693

Title:
  Xwayland/Xorg crashed with SIGSEGV in st_renderbuffer_delete() from
  _mesa_reference_renderbuffer_() [often when running Skype or Slack
  snaps]

Status in mesa package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  Incomplete
Status in mesa source package in Bionic:
  Confirmed
Status in xorg-server source package in Bionic:
  Confirmed
Status in mesa source package in Cosmic:
  Confirmed
Status in xorg-server source package in Cosmic:
  Incomplete
Status in mesa source package in Disco:
  Confirmed
Status in xorg-server source package in Disco:
  Incomplete

Bug description:
  https://errors.ubuntu.com/problem/01a80d2110a46f6b6d857ce814079646e695f4ca
  https://errors.ubuntu.com/problem/a1e7fe67e388164abd73462b322cb79ac2773fae

  ---

  Steps to reproduce:
  Install 'slack' snap:

     sudo snap install slack --classic

  Run slack:

     slack

  Instacrash.

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: xwayland 2:1.19.6-1ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
  Uname: Linux 4.15.0-10-generic x86_64
  .tmp.unity_support_test.0:

  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  CompizPlugins: 
[core,composite,opengl,decor,mousepoll,grid,vpswitch,compiztoolbox,imgpng,gnomecompat,regex,move,place,resize,snap,unitymtgrabhandles,wall,animation,session,expo,workarounds,fade,ezoom,scale,unityshell]
  CompositorRunning: None
  CurrentDesktop: GNOME
  Date: Fri Mar  9 10:31:06 2018
  DistUpgraded: 2018-03-06 13:58:47,853 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: bionic
  DistroVariant: ubuntu
  EcryptfsInUse: Yes
  ExecutablePath: /usr/bin/Xwayland
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics 
Controller [8086:0412] (rev 06) (prog-if 00 [VGA controller])
     Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v3/4th Gen Core Processor 
Integrated Graphics Controller [1043:8534]
  MachineType: ASUS All Series
  ProcCmdline: /usr/bin/Xwayland :0 -rootless -terminate -accessx -core -listen 
4 -listen 5 -displayfd 6
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic 
root=UUID=cd444f9d-672e-4d7b-aea8-657fff0ea1f4 ro quiet splash 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw 
crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M nomdmonddf 
nomdmonisw crashkernel=384M-:128M nomdmonddf nomdmonisw crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M 
crashkernel=384M-:128M vt.handoff=1
  Signal: 6
  SourcePackage: xorg-server
  StacktraceTop:
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
   ?? () from /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
  Title: Xwayland crashed with SIGABRT
  UpgradeStatus: Upgraded to bionic on 2018-03-06 (2 days ago)
  UserGroups: adm admin audio cdrom chroot-admin dialout dip egbuild fax floppy 
fuse libvirt libvirtd lpadmin lxd plugdev sambashare sudo tape video wireshark
  dmi.bios.date: 10/27/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2702
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: Z97-PRO
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr2702:bd10/27/2015:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ97-PRO:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: ASUS MB
  dmi.product.name: All Series
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.90-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc4-1ubuntu3
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc4-1ubuntu3
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
  version.xserver-xorg-input-evdev: 

[Touch-packages] [Bug 1797625] Re: Missing the 'Call Trace' with the cases of 'KernelOops'

2018-11-28 Thread Brian Murray
Could you provide the full kern.log file with an OOPS in it? Thanks in
advance.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1797625

Title:
  Missing the 'Call Trace' with the cases of 'KernelOops'

Status in apport package in Ubuntu:
  New
Status in kerneloops package in Ubuntu:
  Triaged

Bug description:
  Hello,

  I am working with these two reports:

  * watchdog: BUG: soft lockup - CPU#10 stuck for 22s! [gnome-shell:1112]
  https://bugs.launchpad.net/bugs/1796385

  * watchdog: BUG: soft lockup - CPU#0 stuck for 22s! [kworker/0:1:85]
  https://bugs.launchpad.net/bugs/1797538

  And the file: 'OopsText.txt' does not appear in the 'Call Trace'.

  Others:
  https://bugzilla.kernel.org/show_bug.cgi?id=201379#c3
  "The bug in lauchpad, unless I am missing something, provides not a single 
actionable traceback. I don't think it is even possible to identify where 
exactly the CPU hangs unless additional information is provided. There is no 
traceback in dmesg, and OopsText doesn't include it either.

  Given that, it is not possible to identify the responsible subsystem,
  much less to fix the underlying problem. The only thing we can say for
  sure is that it is _not_ a watchdog driver problem."

  Best regards,
  --
  Cristian Aravena Romero (caravena)

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: apport 2.20.10-0ubuntu11
  Uname: Linux 4.18.13-gnu x86_64
  ApportLog:

  ApportVersion: 2.20.10-0ubuntu11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Oct 12 16:12:58 2018
  InstallationDate: Installed on 2017-10-13 (364 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1797625/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
For people of the future, I followed the procedure described here to
disable evolution-alarm-notify pop-ups: https://gitlab.gnome.org/GNOME
/evolution-data-server/issues/1

In the file /etc/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop I 
changed the line
`OnlyShowIn=GNOME;Unity;XFCE;Dawati;MATE;`

to

`NotShowIn=GNOME;`

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  Invalid

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803316] Re: VPN connection is stopped

2018-11-28 Thread Marek Tenus
Hi,

I install each new update/upgrade. VPN works if my mate uses it using MacOS.
VPN does not work with Ubuntu 18.04 and 16.04 (only this OS I use). I've 
checked it in two different networks.
I used every possible setting using NetworkManager.
I've checked each possible solutions using StackOverflow.

I did not check VPN connection using other VPN.
I wrote the question to VPN's provider if they can check it out this issue.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1803316

Title:
  VPN connection is stopped

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  From a few days I cannot connect via VPN, It worked from a few months

  *sudo apt policy network-manager*

  network-manager:
Installed: 1.2.6-0ubuntu0.16.04.3
Candidate: 1.2.6-0ubuntu0.16.04.3
Versions:
   *** 1.2.6-0ubuntu0.16.04.3 500
  500 http://ftp.agh.edu.pl/ubuntu xenial-updates/main amd64 Packages
  500 http://ftp.agh.edu.pl/ubuntu xenial-security/main amd64 Packages
  100 /var/lib/dpkg/status
   1.1.93-0ubuntu4 500
  500 http://ftp.agh.edu.pl/ubuntu xenial/main amd64 Packages

  
  */var/sys/log*

  
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8520] audit: 
op="connection-activate" uuid="3872fc1d-94ce-465e-8d52-7bbeb3eb72fe" name="HS 
VPN" pid=13561 uid=1000 result="success"
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8706] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: 
Started the VPN service, PID 2396
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8815] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: Saw 
the service appear; activating connection
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.9989] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
connection: (ConnectInteractive) reply received
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: pppd started with pid 
2405
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0148] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: starting (3)
  Nov 14 10:46:08 hs pppd[2405]: Plugin 
/usr/lib/pppd/2.4.7/nm-pptp-pppd-plugin.so loaded.
  Nov 14 10:46:08 hs NetworkManager[1081]: Plugin 
/usr/lib/pppd/2.4.7/nm-pptp-pppd-plugin.so loaded.
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(plugin_init): initializing
  Nov 14 10:46:08 hs pppd[2405]: pppd 2.4.7 started by root, uid 0
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 3 / phase 'serial connection'
  Nov 14 10:46:08 hs NetworkManager[1081]: nm_device_get_device_type: assertion 
'NM_IS_DEVICE (self)' failed
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0226] manager: 
(ppp0): new Generic device (/org/freedesktop/NetworkManager/Devices/47)
  Nov 14 10:46:08 hs pptp[2411]: nm-pptp-service-2396 log[main:pptp.c:350]: The 
synchronous pptp option is NOT activated
  Nov 14 10:46:08 hs pppd[2405]: Using interface ppp0
  Nov 14 10:46:08 hs NetworkManager[1081]: Using interface ppp0
  Nov 14 10:46:08 hs pppd[2405]: Connect: ppp0 <--> /dev/pts/22
  Nov 14 10:46:08 hs NetworkManager[1081]: Connect: ppp0 <--> /dev/pts/22
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 5 / phase 'establish'
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0391] devices 
added (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0392] device 
added (path: /sys/devices/virtual/net/ppp0, iface: ppp0): no ifupdown 
configuration found.
  Nov 14 10:46:39 hs pppd[2405]: LCP: timeout sending Config-Requests
  Nov 14 10:46:39 hs NetworkManager[1081]: LCP: timeout sending Config-Requests
  Nov 14 10:46:39 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 11 / phase 'disconnect'
  Nov 14 10:46:39 hs NetworkManager[1081]: Connection terminated.
  Nov 14 10:46:39 hs pppd[2405]: Connection terminated.
  Nov 14 10:46:39 hs NetworkManager[1081]: ** Message: Terminated ppp daemon 
with PID 2405.
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0566] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: failed: connect-failed (1)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0577] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: stopping (5)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0579] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: stopped (6)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0680] 

[Touch-packages] [Bug 1801383] Re: the WifiSyslog apport hook (used in firefox/tb) includes SSID informations

2018-11-28 Thread spm2011
@osomon +1, thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1801383

Title:
  the WifiSyslog apport hook (used in firefox/tb) includes SSID
  informations

Status in apport package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  Fix Committed
Status in thunderbird package in Ubuntu:
  New

Bug description:
  When I apport-bug certain packages such as firefox for example, it
  uploads the WifiSyslog.txt file.

  The WifiSyslog may contain a list of all system connections enumerated
  in /etc/NetworkManager/system-connections, i.e. all SSIDs the user has
  ever connected to that are found in the system-connections. This is a
  serious privacy risk and completely unnecessary information for most
  bug reports.

  Should either remove WifiSyslog as a requirement for packages that
  don't need it (should I report this to
  https://bugs.launchpad.net/ubuntu/+source/firefox/ ?), or redact
  information that may contain usernames and SSIDs from the log file.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.4
  ProcVersionSignature: User Name 4.15.0-38.41-generic 4.15.18
  Uname: Linux 4.15.0-38-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.9-0ubuntu7.4
  Architecture: amd64
  CrashReports: 640:1000:117:62475:2018-11-01 19:17:29.982295751 
-0400:2018-11-01 19:17:30.982295751 
-0400:/var/crash/_usr_bin_gnome-screenshot.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  2 11:24:20 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (50 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (34 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1801383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
Bug status changed to invalid, changing that notification setting should
not affect the pop-up behavior of evolution alarm notify

** Changed in: evolution-data-server (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  Invalid

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
** No longer affects: gnome-control-center

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1765304] Re: Ubuntu 18.04's ibus package breaks password fields in Firefox (by lowering & raising window whenever they're focused)

2018-11-28 Thread Olivier Tilloy
I rebuilt gnome-shell for bionic with https://gitlab.gnome.org/GNOME
/gnome-shell/commit/551e827841626cd8084daa2210b3bf60e5be96be.patch
applied, and I confirm this fixes the password fields focus issues in
firefox (tested several test cases from duplicate reports).

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1765304

Title:
  Ubuntu 18.04's ibus package breaks password fields in Firefox (by
  lowering & raising window whenever they're focused)

Status in gnome-shell package in Ubuntu:
  Triaged
Status in ibus package in Ubuntu:
  Invalid
Status in gnome-shell source package in Bionic:
  New

Bug description:
  https://gitlab.gnome.org/GNOME/gnome-shell/issues/391

  ---

  tl;dr: starting in Ubuntu 18.04, "ibus" seems to lower and raise
  Firefox, whenever the user tries to focus an 
  field on a web page.  This is not a regression in Firefox, as the same
  Firefox version runs just fine in Ubuntu 17.10 -- it seems to be a bug
  in ibus, because it only happens (in 18.04) when the environmental
  variable GTK_IM_MODULE is at its default value (which is "ibus").  It
  had this same value in 17.10 but the bug didn't happen there; hence,
  I'm guessing there was a change in ibus (or a related package) that
  caused this breakage / lowering+raising.

  This is pretty bad, because in some cases, the focus-loss can mean
  users are simply unable to fill in password fields that previously
  were working fine. (see "ACTUAL RESULTS" below)

  STEPS TO REPRODUCE #1, via "BitWarden" Firefox extension:
  =
   1. Start Firefox. (fresh profile if you like)
   2. Install BitWarden from 
https://addons.mozilla.org/en-US/firefox/addon/bitwarden-password-manager/
   3. Click the BitWarden toolbar icon to spawn a menu-pane.
   4. Click "Log in" at the bottom of that pane.
   5. Click the "Master Password" field.

  ACTUAL RESULTS:
   The menu pane disappears as soon as the Master Password field receives focus.
  EXPECTED RESULTS:
   I should be able to type in a password; pane shouldn't disappear.

  STEPS TO REPRODUCE #2, via Reddit:
  =
   1. Visit https://www.reddit.com/r/firefox/ (or any reddit page)
   2. Click "Log in or sign up in seconds" at the extreme upper right of the 
page.
    (click the "Log in" part of that sentence)
   3. Try to click the password field (or "tab" into it) and type in some text.

  ACTUAL RESULTS:
   Try as you might, the password field never receives focus.
  EXPECTED RESULTS:
   Password field should accept focus & let me type text into it.

  If I run firefox from the command line with env var GTK_IM_MODULE="",
  then I get "expected results".  But with the default value of that env
  var, I get "actual results" (broken behavior, unable to enter
  passwords).

  I initially reported this in Firefox, here:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1451466 (with a few
  dependent bugs for the usage-specific STR quoted above).  But I think
  it's a bug in ibus, hence filing here now.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
  Uname: Linux 4.15.0-15-generic x86_64
  ApportVersion: 2.20.9-0ubuntu5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Apr 18 23:22:05 2018
  InstallationDate: Installed on 2018-04-17 (1 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180416)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1765304/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798313] Re: traceoute6 gives error sendto: Invalid argument

2018-11-28 Thread Bug Watch Updater
** Changed in: iputils (Debian)
   Status: Unknown => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1798313

Title:
  traceoute6 gives error sendto: Invalid argument

Status in Iputils:
  Fix Released
Status in iputils package in Ubuntu:
  Confirmed
Status in iputils package in Debian:
  Fix Released

Bug description:
  When running the following command all get is an error. (traceroute6.db works)
  # traceroute6.iputils 2001:4860:4860::
  traceroute to 2001:4860:4860:: (2001:4860:4860::) from 
2a00:8780:3:42:b92a:b222:8bed:4a9b, 30 hops max, 24 byte packets
  sendto: Invalid argument
   1 traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *

  This seems like a regression of Debian bug https://bugs.debian.org
  /cgi-bin/bugreport.cgi?bug=843264

  Package version installed:
  iputils-tracepath 3:20161105-1ubuntu2 amd64

  # lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04
  Codename: bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/iputils/+bug/1798313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
** Attachment added: "Image of reporter's evolution alarm notify notification 
window"
   
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+attachment/5217045/+files/evolution-alarm-notify-notification-window.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803149] Re: Update to 2.2.9

2018-11-28 Thread Sebastien Bacher
2.2.9-2 migrated to the release pocket so seems it's all good now

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1803149

Title:
  Update to 2.2.9

Status in cups package in Ubuntu:
  Fix Released

Bug description:
  There is a new 2.2.9 version available

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1803149/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1802892] Re: Unhandled NoAllowedOriginError when checking black- and whitelist

2018-11-28 Thread Balint Reczey
** Changed in: unattended-upgrades (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1802892

Title:
  Unhandled NoAllowedOriginError when checking black- and whitelist

Status in unattended-upgrades package in Ubuntu:
  In Progress

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
unattended-upgrades.  This problem was most recently seen with package version 
1.1ubuntu1.18.04.6, the problem page at 
https://errors.ubuntu.com/problem/773832510ab1784afa0f19023463c0773dd8908c 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1802892/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] [NEW] Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
Public bug reported:

I have turned off notifications for evolution alarm notify in settings:
https://i.imgur.com/BNlfgzA.png

But I still get pop-ups from the evolution alarm notify app for calendar events:
https://i.imgur.com/BBdr9gm.png

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: evolution-data-server 3.30.1-1build1
ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
Uname: Linux 4.18.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Nov 28 11:31:46 2018
ExecutablePath: /usr/lib/evolution/evolution-data-server/evolution-alarm-notify
InstallationDate: Installed on 2018-07-14 (136 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: evolution-data-server
UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

** Affects: evolution-data-server (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778767] Re: iPhone doesn't charge when plugged in after disconnect

2018-11-28 Thread Will Cooke
Installed the version from proposed:

$ apt-cache policy usbmuxd
usbmuxd:
  Installed: 1.1.0-2ubuntu0.1
  Candidate: 1.1.0-2ubuntu0.1
  Version table:
 *** 1.1.0-2ubuntu0.1 500
500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
100 /var/lib/dpkg/status
 1.1.0-2build1 500
500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages


Plugged in my phone, it asked me to unlock which I did, and then it started 
charging.
Unplugged the phone.
Plugged the phone back in again and it continued charging.
Repeated this process 3 times and it worked.

Marking as verification done.


** Tags removed: verification-needed-bionic
** Tags added: verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to usbmuxd in Ubuntu.
https://bugs.launchpad.net/bugs/1778767

Title:
  iPhone doesn't charge when plugged in after disconnect

Status in usbmuxd package in Ubuntu:
  Fix Released
Status in usbmuxd source package in Bionic:
  Fix Committed
Status in usbmuxd package in Debian:
  New

Bug description:
  * Impact
  the usbmuxd service is not restarted after disconnecting/reconnecting a 
device, which means users need to reboot (or use the command line to activate 
the service) to have their iphone handled a second time in a session

  * Test case
  - open an Ubuntu/GNOME session and connect an iphone
  - disconnect the device
  - connect it again

  -> it should be handled the second time like it was the first time

  * Regression potential
  The changes are in the udev rule, just make sure that idevices are correctly 
detected when connected

  
  

  
  Plugging in the iPhone via usb will charge the iPhone after reboot, but after 
disconnect usbmuxd's systemctl service is inactive and does not start.

  Problem and workaround documented here:

  https://ubuntuforums.org/showthread.php?t=2376741=13779062#post13779062

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/usbmuxd/+bug/1778767/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
** Attachment added: "Image of bug reporter's settings attached"
   
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+attachment/5217044/+files/evolution-alarm-notify-setting-turned-off.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778219] Re: unattended-upgrades hangs on shutdown, leaves system in a broken state

2018-11-28 Thread Balint Reczey
Verified 1.1ubuntu1.18.04.7 on Bionic:

...
root@uu-shutdown-test:~# service unattended-upgrades status
● unattended-upgrades.service - Unattended Upgrades Shutdown
   Loaded: loaded (/lib/systemd/system/unattended-upgrades.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Wed 2018-11-28 16:06:14 UTC; 1s ago
 Docs: man:unattended-upgrade(8)
 Main PID: 230 (unattended-upgr)
Tasks: 2 (limit: 4915)
   CGroup: /system.slice/unattended-upgrades.service
   └─230 /usr/bin/python3 
/usr/share/unattended-upgrades/unattended-upgrade-shutdown --wait-for-signal

Nov 28 16:06:14 uu-shutdown-test systemd[1]: unattended-upgrades.service: 
Failed to reset devices.list: Operation not permitted
Nov 28 16:06:14 uu-shutdown-test systemd[1]: Started Unattended Upgrades 
Shutdown.
root@uu-shutdown-test:~# vi /etc/apt/sources.list
root@uu-shutdown-test:~# apt update
Hit:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]   

Get:4 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB] 
   
Fetched 247 kB in 0s (505 kB/s)  
Reading package lists... Done
Building dependency tree   
Reading state information... Done
6 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@uu-shutdown-test:~# echo 'Unattended-Upgrade::InstallOnShutdown "true";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-on-shutdown
root@uu-shutdown-test:~# echo 'Unattended-Upgrade::Allowed-Origins:: 
"${distro_id}:${distro_codename}-updates";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-updates-too
root@uu-shutdown-test:~# 
root@uu-shutdown-test:~# apt install snapd=2.32.5+18.04
Reading package lists... Done
Building dependency tree   
Reading state information... Done
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following packages will be DOWNGRADED:
  snapd
0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 6 not upgraded.
Need to get 12.2 MB of archives.
After this operation, 860 kB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 snapd amd64 
2.32.5+18.04 [12.2 MB]
Fetched 12.2 MB in 0s (75.4 MB/s)
dpkg: warning: downgrading snapd from 2.34.2+18.04 to 2.32.5+18.04
(Reading database ... 28538 files and directories currently installed.)
Preparing to unpack .../snapd_2.32.5+18.04_amd64.deb ...
Unpacking snapd (2.32.5+18.04) over (2.34.2+18.04) ...
Setting up snapd (2.32.5+18.04) ...
Installing new version of config file 
/etc/apparmor.d/usr.lib.snapd.snap-confine.real ...
Installing new version of config file /etc/profile.d/apps-bin-path.sh ...
snapd.snap-repair.service is a disabled or a static unit, not starting it.
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
root@uu-shutdown-test:~#  unattended-upgrade --download-only
root@uu-shutdown-test:~# dbus-send --system --print-reply 
--dest=org.freedesktop.login1 /org/freedesktop/login1 
"org.freedesktop.login1.Manager.Reboot" boolean:false
method return time=1543421249.487619 sender=:1.4 -> destination=:1.10 serial=18 
reply_serial=2
root@uu-shutdown-test:~# tail -f 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log 
Log started: 2018-11-28  16:07:34
(Reading database ... 28535 files and directories currently installed.)
Preparing to unpack .../git_1%3a2.17.1-1ubuntu0.4_amd64.deb ...
Unpacking git (1:2.17.1-1ubuntu0.4) over (1:2.17.1-1ubuntu0.3) ...
Setting up git (1:2.17.1-1ubuntu0.4) ...
Log ended: 2018-11-28  16:07:39

Log started: 2018-11-28  16:07:40
(Reading database ... 28535 files and directories currently installed.)
Preparing to unpack .../git-man_1%3a2.17.1-1ubuntu0.4_all.deb ...
Unpacking git-man (1:2.17.1-1ubuntu0.4) over (1:2.17.1-1ubuntu0.3) ...
Setting up git-man (1:2.17.1-1ubuntu0.4) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Log ended: 2018-11-28  16:07:43

Log started: 2018-11-28  16:07:43
(Reading database ... 28535 files and directories currently installed.)
Preparing to unpack .../snapd_2.34.2+18.04_amd64.deb ...
Unpacking snapd (2.34.2+18.04) over (2.32.5+18.04) ...
Setting up snapd (2.34.2+18.04) ...
Installing new version of config file 
/etc/apparmor.d/usr.lib.snapd.snap-confine.real ...
Installing new version of config file /etc/profile.d/apps-bin-path.sh ...
snapd.snap-repair.service is a disabled or a static unit, not starting it.
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Log ended: 2018-11-28  16:07:48

Log started: 2018-11-28  16:07:49
(Reading database ... 28538 files and directories currently installed.)
Preparing to unpack .../sosreport_3.6-1ubuntu0.18.04.2_amd64.deb ...
Unpacking sosreport (3.6-1ubuntu0.18.04.2) over (3.5-1ubuntu3.18.04.1) ...
Setting up sosreport (3.6-1ubuntu0.18.04.2) ...

[Touch-packages] [Bug 1778767] Re: iPhone doesn't charge when plugged in after disconnect

2018-11-28 Thread clayg
new package works great!

```
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.494][3] Removed device 1 on 
location 0x10006
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.534][3] usbmuxd shutting down
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.635][3] Shutdown complete
Nov 28 11:06:11 banana systemd[1]: Started Socket daemon for the usbmux 
protocol used by Apple devices.
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.047][3] usbmuxd v1.1.0 starting 
up
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.050][3] Successfully dropped 
privileges to 'usbmux'
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.054][3] Could not get old 
configuration descriptor for device 1-7: -5
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Connecting to new 
device on location 0x10007 as ID 1
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Initialization complete
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Enabled exit on SIGUSR1 
if no devices are attached. Start a new instance with "--exit" to trigger.
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.063][3] Connected to v2.0 
device 1 on location 0x10007 with serial number 
a52283aea517ba99dbffee3bbeaee0cc2a244ee2
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.277][3] Removed device 1 on 
location 0x10007
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.326][3] usbmuxd shutting down
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.427][3] Shutdown complete
Nov 28 11:06:23 banana systemd[1]: Started Socket daemon for the usbmux 
protocol used by Apple devices.
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.757][3] usbmuxd v1.1.0 starting 
up
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.759][3] Successfully dropped 
privileges to 'usbmux'
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.766][3] Could not get old 
configuration descriptor for device 1-8: -5
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Connecting to new 
device on location 0x10008 as ID 1
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Initialization complete
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Enabled exit on SIGUSR1 
if no devices are attached. Start a new instance with "--exit" to trigger.
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Connected to v2.0 
device 1 on location 0x10008 with serial number 
a52283aea517ba99dbffee3bbeaee0cc2a244ee2
```

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to usbmuxd in Ubuntu.
https://bugs.launchpad.net/bugs/1778767

Title:
  iPhone doesn't charge when plugged in after disconnect

Status in usbmuxd package in Ubuntu:
  Fix Released
Status in usbmuxd source package in Bionic:
  Fix Committed
Status in usbmuxd package in Debian:
  New

Bug description:
  * Impact
  the usbmuxd service is not restarted after disconnecting/reconnecting a 
device, which means users need to reboot (or use the command line to activate 
the service) to have their iphone handled a second time in a session

  * Test case
  - open an Ubuntu/GNOME session and connect an iphone
  - disconnect the device
  - connect it again

  -> it should be handled the second time like it was the first time

  * Regression potential
  The changes are in the udev rule, just make sure that idevices are correctly 
detected when connected

  
  

  
  Plugging in the iPhone via usb will charge the iPhone after reboot, but after 
disconnect usbmuxd's systemctl service is inactive and does not start.

  Problem and workaround documented here:

  https://ubuntuforums.org/showthread.php?t=2376741=13779062#post13779062

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/usbmuxd/+bug/1778767/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778767] Re: iPhone doesn't charge when plugged in after disconnect

2018-11-28 Thread clayg
new package works great

{{{
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.494][3] Removed device 1 on 
location 0x10006
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.534][3] usbmuxd shutting down
Nov 28 11:06:04 banana usbmuxd[6612]: [11:06:04.635][3] Shutdown complete
Nov 28 11:06:11 banana systemd[1]: Started Socket daemon for the usbmux 
protocol used by Apple devices.
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.047][3] usbmuxd v1.1.0 starting 
up
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.050][3] Successfully dropped 
privileges to 'usbmux'
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.054][3] Could not get old 
configuration descriptor for device 1-7: -5
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Connecting to new 
device on location 0x10007 as ID 1
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Initialization complete
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.062][3] Enabled exit on SIGUSR1 
if no devices are attached. Start a new instance with "--exit" to trigger.
Nov 28 11:06:11 banana usbmuxd[6899]: [11:06:11.063][3] Connected to v2.0 
device 1 on location 0x10007 with serial number 
a52283aea517ba99dbffee3bbeaee0cc2a244ee2
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.277][3] Removed device 1 on 
location 0x10007
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.326][3] usbmuxd shutting down
Nov 28 11:06:18 banana usbmuxd[6899]: [11:06:18.427][3] Shutdown complete
Nov 28 11:06:23 banana systemd[1]: Started Socket daemon for the usbmux 
protocol used by Apple devices.
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.757][3] usbmuxd v1.1.0 starting 
up
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.759][3] Successfully dropped 
privileges to 'usbmux'
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.766][3] Could not get old 
configuration descriptor for device 1-8: -5
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Connecting to new 
device on location 0x10008 as ID 1
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Initialization complete
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Enabled exit on SIGUSR1 
if no devices are attached. Start a new instance with "--exit" to trigger.
Nov 28 11:06:23 banana usbmuxd[7049]: [11:06:23.774][3] Connected to v2.0 
device 1 on location 0x10008 with serial number 
a52283aea517ba99dbffee3bbeaee0cc2a244ee2
}}}

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to usbmuxd in Ubuntu.
https://bugs.launchpad.net/bugs/1778767

Title:
  iPhone doesn't charge when plugged in after disconnect

Status in usbmuxd package in Ubuntu:
  Fix Released
Status in usbmuxd source package in Bionic:
  Fix Committed
Status in usbmuxd package in Debian:
  New

Bug description:
  * Impact
  the usbmuxd service is not restarted after disconnecting/reconnecting a 
device, which means users need to reboot (or use the command line to activate 
the service) to have their iphone handled a second time in a session

  * Test case
  - open an Ubuntu/GNOME session and connect an iphone
  - disconnect the device
  - connect it again

  -> it should be handled the second time like it was the first time

  * Regression potential
  The changes are in the udev rule, just make sure that idevices are correctly 
detected when connected

  
  

  
  Plugging in the iPhone via usb will charge the iPhone after reboot, but after 
disconnect usbmuxd's systemctl service is inactive and does not start.

  Problem and workaround documented here:

  https://ubuntuforums.org/showthread.php?t=2376741=13779062#post13779062

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/usbmuxd/+bug/1778767/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
Here are the issues on the relevant gnome bug tracker:

gnome-control-center: https://gitlab.gnome.org/GNOME/gnome-control-
center/issues/295

evolution-data-server: https://gitlab.gnome.org/GNOME/evolution-data-
server/issues/60

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in gnome-control-center:
  New
Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-control-center/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1650961] Re: ERROR:connection_factory_impl.cc(367)] Failed to connect to MCS endpoint with error -106

2018-11-28 Thread mathtick
Same, was ok. now problems. On 18.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1650961

Title:
  ERROR:connection_factory_impl.cc(367)] Failed to connect to MCS
  endpoint with error -106

Status in apport package in Ubuntu:
  Invalid

Bug description:
  caravena@caravena-530U3C-530U4C:~$ ubuntu-bug linux
  caravena@caravena-530U3C-530U4C:~$ 
[12375:12409:1218/134054:ERROR:nss_util.cc(809)] After loading Root Certs, 
loaded==false: NSS error code: -8018
  Se creó una nueva ventana en la sesión existente del navegador.
  [7185:7220:1218/142107:ERROR:connection_factory_impl.cc(367)] Failed to 
connect to MCS endpoint with error -106
  [7185:7318:1218/142111:ERROR:get_updates_processor.cc(242)] 
PostClientToServerMessage() failed during GetUpdates
  [7185:7318:1218/142115:ERROR:get_updates_processor.cc(242)] 
PostClientToServerMessage() failed during GetUpdates
  [7185:7220:1218/142117:ERROR:connection_factory_impl.cc(367)] Failed to 
connect to MCS endpoint with error -105
  [7185:7220:1218/143613:ERROR:connection_factory_impl.cc(367)] Failed to 
connect to MCS endpoint with error -106
  [7185:7318:1218/144540:ERROR:get_updates_processor.cc(242)] 
PostClientToServerMessage() failed during GetUpdates
  [7185:7220:1218/145430:ERROR:connection_factory_impl.cc(367)] Failed to 
connect to MCS endpoint with error -106
  [7185:7318:1218/162533:ERROR:get_updates_processor.cc(242)] 
PostClientToServerMessage() failed during GetUpdates
  [7185:7220:1218/162540:ERROR:connection_factory_impl.cc(367)] Failed to 
connect to MCS endpoint with error -21
  [7185:7318:1218/162540:ERROR:get_updates_processor.cc(242)] 
PostClientToServerMessage() failed during GetUpdates
  caravena@caravena-530U3C-530U4C:~$ ubuntu-bug linux
  caravena@caravena-530U3C-530U4C:~$ 
[18327:18362:1218/165822:ERROR:nss_util.cc(809)] After loading Root Certs, 
loaded==false: NSS error code: -8018

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: apport 2.20.4-0ubuntu1
  ProcVersionSignature: Ubuntu 4.9.0-11.12-generic 4.9.0
  Uname: Linux 4.9.0-11-generic x86_64
  ApportVersion: 2.20.4-0ubuntu1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Dec 18 17:32:53 2016
  InstallationDate: Installed on 2015-07-26 (511 days ago)
  InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150723)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: Upgraded to zesty on 2016-10-29 (50 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1650961/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798313] Re: traceoute6 gives error sendto: Invalid argument

2018-11-28 Thread Bug Watch Updater
** Changed in: iputils
   Status: Unknown => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1798313

Title:
  traceoute6 gives error sendto: Invalid argument

Status in Iputils:
  Fix Released
Status in iputils package in Ubuntu:
  Confirmed
Status in iputils package in Debian:
  Unknown

Bug description:
  When running the following command all get is an error. (traceroute6.db works)
  # traceroute6.iputils 2001:4860:4860::
  traceroute to 2001:4860:4860:: (2001:4860:4860::) from 
2a00:8780:3:42:b92a:b222:8bed:4a9b, 30 hops max, 24 byte packets
  sendto: Invalid argument
   1 traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *

  This seems like a regression of Debian bug https://bugs.debian.org
  /cgi-bin/bugreport.cgi?bug=843264

  Package version installed:
  iputils-tracepath 3:20161105-1ubuntu2 amd64

  # lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04
  Codename: bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/iputils/+bug/1798313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778219] Re: unattended-upgrades hangs on shutdown, leaves system in a broken state

2018-11-28 Thread Balint Reczey
Verified 1.5ubuntu3.18.10.0 on cosmic with installing apport, rather
than snapd:

...
root@uu-shutdown-test:~# echo 'Unattended-Upgrade::InstallOnShutdown "true";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-on-shutdown
root@uu-shutdown-test:~# echo 'Unattended-Upgrade::Allowed-Origins:: 
"${distro_id}:${distro_codename}-updates";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-updates-too
root@uu-shutdown-test:~# unattended-upgrade --download-only
root@uu-shutdown-test:~#  dbus-send --system --print-reply 
--dest=org.freedesktop.login1 /org/freedesktop/login1 
"org.freedesktop.login1.Manager.Reboot" boolean:false
method return time=1543423811.418244 sender=:1.4 -> destination=:1.27 serial=81 
reply_serial=2
root@uu-shutdown-test:~#
Session terminated, terminating shell... ...terminated.
rbalint@yogi:~$ lxc shell uu-shutdown-test
mesg: ttyname failed: No such device
root@uu-shutdown-test:~# cat 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log 
Log started: 2018-11-28  16:50:13
(Reading database ... 28278 files and directories currently installed.)
Preparing to unpack .../apport_2.20.10-0ubuntu13.1_all.deb ...
Unpacking apport (2.20.10-0ubuntu13.1) over (2.20.10-0ubuntu13) ...
Processing triggers for systemd (239-7ubuntu10.4) ...
Setting up apport (2.20.10-0ubuntu13.1) ...
apport-autoreport.service is a disabled or a static unit, not starting it.
Processing triggers for man-db (2.8.4-2) ...
Log ended: 2018-11-28  16:50:16


Installing apport locked up during shutdown when downgrading u-u to 1.4ubuntu2. 
Latest unfixed u-u in cosmic does not lock up because the system shuts down 
earlier with u-u still running (LP: #1803137), but this is fixed, too.

** Tags removed: verification-needed verification-needed-cosmic
** Tags added: verification-done verification-done-cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1778219

Title:
  unattended-upgrades hangs on shutdown, leaves system in a broken state

Status in apt package in Ubuntu:
  Invalid
Status in init-system-helpers package in Ubuntu:
  Invalid
Status in snapd package in Ubuntu:
  Confirmed
Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Confirmed
Status in init-system-helpers source package in Xenial:
  Confirmed
Status in snapd source package in Xenial:
  Confirmed
Status in unattended-upgrades source package in Xenial:
  In Progress
Status in apt source package in Bionic:
  Confirmed
Status in init-system-helpers source package in Bionic:
  Confirmed
Status in snapd source package in Bionic:
  Confirmed
Status in unattended-upgrades source package in Bionic:
  Fix Committed
Status in unattended-upgrades source package in Cosmic:
  Fix Committed

Bug description:
  [Impact]

   * Unattended-upgrades hangs and gets killed when installing upgrades
  that stat/stop services on shutdown, leaving the system in a broken
  state

  [Test Case]

   * Install an updated bionic system:
     $ lxc launch ubuntu:18.04 uu-shutdown-test
     # apt update
     ...

   * When testing the fixed version, install upgrade u-u at this point checking 
that u-u.service is set up before and is wanted by shutdown.target:
  # systemd-analyze dot | grep unatt
   "unattended-upgrades.service"->"-.mount" [color="green"];
   "unattended-upgrades.service"->"system.slice" [color="green"];
   "unattended-upgrades.service"->"network.target" [color="green"];
   "unattended-upgrades.service"->"systemd-journald.socket" [color="green"];
   "unattended-upgrades.service"->"local-fs.target" [color="green"];
   "unattended-upgrades.service"->"-.mount" [color="black"];
   "unattended-upgrades.service"->"system.slice" [color="black"];
   "shutdown.target"->"unattended-upgrades.service" [color="green"];
   "shutdown.target"->"unattended-upgrades.service" [color="grey66"];
     Color legend: black = Requires
   dark blue = Requisite
   dark grey = Wants
   red   = Conflicts
   green = After

   * Configure u-u to run on shutdown and install -updates:
     # echo 'Unattended-Upgrade::InstallOnShutdown "true";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-on-shutdown
     # echo 'Unattended-Upgrade::Allowed-Origins:: 
"${distro_id}:${distro_codename}-updates";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-updates-too

   * Downgrade snapd:
     # apt install snapd=2.32.5+18.04
   * Dowload packages for u-u:
 # unattended-upgrade --download-only
   * Reboot using logind to let inhibitors hold up shutdown:
     # dbus-send --system --print-reply --dest=org.freedesktop.login1 
/org/freedesktop/login1 "org.freedesktop.login1.Manager.Reboot" boolean:false

   * With not fixed u-u observe the upgrade process being stuck:
    # pstree| grep unatt
  

[Touch-packages] [Bug 1805666] Re: Evolution Alarm Notify continues pop-up reminders even though notifications disabled

2018-11-28 Thread Jay Schauer
** Also affects: gnome-control-center
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to evolution-data-server in
Ubuntu.
https://bugs.launchpad.net/bugs/1805666

Title:
  Evolution Alarm Notify continues pop-up reminders even though
  notifications disabled

Status in gnome-control-center:
  New
Status in evolution-data-server package in Ubuntu:
  New

Bug description:
  I have turned off notifications for evolution alarm notify in settings:
  https://i.imgur.com/BNlfgzA.png

  But I still get pop-ups from the evolution alarm notify app for calendar 
events:
  https://i.imgur.com/BBdr9gm.png

  ProblemType: Bug
  DistroRelease: Ubuntu 18.10
  Package: evolution-data-server 3.30.1-1build1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 28 11:31:46 2018
  ExecutablePath: 
/usr/lib/evolution/evolution-data-server/evolution-alarm-notify
  InstallationDate: Installed on 2018-07-14 (136 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: evolution-data-server
  UpgradeStatus: Upgraded to cosmic on 2018-10-29 (30 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-control-center/+bug/1805666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798313] Re: traceoute6 gives error sendto: Invalid argument

2018-11-28 Thread Ken Sharp
My dpkg tells me that I'm using the package “traceroute”. The result is
the same, probably the same source code.

** No longer affects: traceroute (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1798313

Title:
  traceoute6 gives error sendto: Invalid argument

Status in Iputils:
  Unknown
Status in iputils package in Ubuntu:
  Confirmed
Status in iputils package in Debian:
  Unknown

Bug description:
  When running the following command all get is an error. (traceroute6.db works)
  # traceroute6.iputils 2001:4860:4860::
  traceroute to 2001:4860:4860:: (2001:4860:4860::) from 
2a00:8780:3:42:b92a:b222:8bed:4a9b, 30 hops max, 24 byte packets
  sendto: Invalid argument
   1 traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *

  This seems like a regression of Debian bug https://bugs.debian.org
  /cgi-bin/bugreport.cgi?bug=843264

  Package version installed:
  iputils-tracepath 3:20161105-1ubuntu2 amd64

  # lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04
  Codename: bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/iputils/+bug/1798313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798313] Re: traceoute6 gives error sendto: Invalid argument

2018-11-28 Thread Ken Sharp
This is fixed in Debian and upstream. As this binary is 100% useless, it
really needs to be updated.

** Tags added: bionic

** Bug watch added: Debian Bug tracker #843264
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843264

** Also affects: iputils (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843264
   Importance: Unknown
   Status: Unknown

** Bug watch added: github.com/iputils/iputils/issues #68
   https://github.com/iputils/iputils/issues/68

** Also affects: iputils via
   https://github.com/iputils/iputils/issues/68
   Importance: Unknown
   Status: Unknown

** Also affects: traceroute (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1798313

Title:
  traceoute6 gives error sendto: Invalid argument

Status in Iputils:
  Unknown
Status in iputils package in Ubuntu:
  Confirmed
Status in iputils package in Debian:
  Unknown

Bug description:
  When running the following command all get is an error. (traceroute6.db works)
  # traceroute6.iputils 2001:4860:4860::
  traceroute to 2001:4860:4860:: (2001:4860:4860::) from 
2a00:8780:3:42:b92a:b222:8bed:4a9b, 30 hops max, 24 byte packets
  sendto: Invalid argument
   1 traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *sendto: Invalid argument
  traceroute: wrote 2001:4860:4860:: 24 chars, ret=-1
   *

  This seems like a regression of Debian bug https://bugs.debian.org
  /cgi-bin/bugreport.cgi?bug=843264

  Package version installed:
  iputils-tracepath 3:20161105-1ubuntu2 amd64

  # lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04
  Codename: bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/iputils/+bug/1798313/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1767453] Re: package ca-certificates 20180409 failed to install/upgrade: installed ca-certificates package post-installation script subprocess returned error exit status 1

2018-11-28 Thread Maurice
Same here. I downloaded ca-certificates_20170717~16.04.1_all.deb from
https://packages.ubuntu.com/xenial/all/ca-certificates/download

Then did a:
dpkg -i ca-certificates_20170717~16.04.1_all.deb
dpkg --configure -a

After that I did a:
sudo apt-get upgrade

Which upgraded to 20180409 without problems

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ca-certificates in Ubuntu.
https://bugs.launchpad.net/bugs/1767453

Title:
  package ca-certificates 20180409 failed to install/upgrade: installed
  ca-certificates package post-installation script subprocess returned
  error exit status 1

Status in ca-certificates package in Ubuntu:
  Confirmed

Bug description:
  Happened during upgrade to ubunut 18.04

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: ca-certificates 20180409
  ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
  Uname: Linux 4.15.0-20-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7
  Architecture: amd64
  Date: Fri Apr 27 17:51:26 2018
  ErrorMessage: installed ca-certificates package post-installation script 
subprocess returned error exit status 1
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 3.6.5-3
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2
   apt  1.6.1
  SourcePackage: ca-certificates
  Title: package ca-certificates 20180409 failed to install/upgrade: installed 
ca-certificates package post-installation script subprocess returned error exit 
status 1
  UpgradeStatus: Upgraded to bionic on 2018-04-27 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ca-certificates/+bug/1767453/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803534] Re: Backport uuid based cache file naming scheme

2018-11-28 Thread Łukasz Zemczak
Hello James, or anyone else affected,

Accepted fontconfig into bionic-proposed. The package will build now and
be available at
https://launchpad.net/ubuntu/+source/fontconfig/2.12.6-0ubuntu2.3 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags removed: verification-failed verification-failed-bionic
** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1803534

Title:
  Backport uuid based cache file naming scheme

Status in fontconfig package in Ubuntu:
  New
Status in fontconfig source package in Bionic:
  Fix Committed

Bug description:
  Fontconfig 2.13.0 changed the cache file naming scheme to be based on
  the contents of ".uuid" file in the directory rather than a hash of
  the directory name.  On a pure debs system this doesn't really matter
  since everything is using the same libfontconfig.so.

  When snaps are involved, it can lead to some apps not seeing the cache
  files produced by a different fontconfig version.  In particular,
  while libfontconfig 2.13 can reuse 2.12's cache files for read only
  directories, the reverse is not true.  This will be a problem for apps
  built on top of the "core18" base snap when run on later Ubuntu
  releases (cosmic, disco, etc).

  By providing a backport of the UUID cache file feature to bionic for
  use by snap applications, we'd avoid this.  Having it in bionic-
  updates would be ideal so that snapcraft picks it up automatically.

  [Impact]

   * This update changes how fontconfig cache files are named, instead
  of using md5($dir), it instead uses the contents of a $dir/.uuid file.
  No changes are made to the format of the cache file contents.

   * This change is primarily intended for use by snap applications
  built with core18: as the updated libfontconfig will fall back to the
  md5 cache file names for read-only directories without a .uuid file,
  they will be able to reuse cache files from any host system running
  fontconfig >= 2.11.95

  [Test Case]

   * After installing the update, cache files should be generated in
  /var/cache/fontconfig/ with names like "07b67f7a-16ea-4440-9b6c-
  21fc9153568c-le64.cache-7" (note the extra dashes not present in the
  MD5 based cache file names).

  [Regression Potential]

   * Applications using a non-default libfontconfig could end up not
  finding the new cache files and regenerating them in
  ~/.cache/fontconfig.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1803534/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778767] Re: iPhone doesn't charge when plugged in after disconnect

2018-11-28 Thread Brian Murray
Hello clayg, or anyone else affected,

Accepted usbmuxd into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/usbmuxd/1.1.0-2ubuntu0.1 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to usbmuxd in Ubuntu.
https://bugs.launchpad.net/bugs/1778767

Title:
  iPhone doesn't charge when plugged in after disconnect

Status in usbmuxd package in Ubuntu:
  Fix Released
Status in usbmuxd source package in Bionic:
  Fix Committed
Status in usbmuxd package in Debian:
  New

Bug description:
  * Impact
  the usbmuxd service is not restarted after disconnecting/reconnecting a 
device, which means users need to reboot (or use the command line to activate 
the service) to have their iphone handled a second time in a session

  * Test case
  - open an Ubuntu/GNOME session and connect an iphone
  - disconnect the device
  - connect it again

  -> it should be handled the second time like it was the first time

  * Regression potential
  The changes are in the udev rule, just make sure that idevices are correctly 
detected when connected

  
  

  
  Plugging in the iPhone via usb will charge the iPhone after reboot, but after 
disconnect usbmuxd's systemctl service is inactive and does not start.

  Problem and workaround documented here:

  https://ubuntuforums.org/showthread.php?t=2376741=13779062#post13779062

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/usbmuxd/+bug/1778767/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1779237] Re: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed python3 package post-installation script subprocess returned error exit status 4

2018-11-28 Thread Luiz Augusto
Site, it also worked for me.

Em qua, 28 de nov de 2018 13:16, Théo Vervaet <1779...@bugs.launchpad.net
escreveu:

> Solution proposed by Dimitri worked also for me
>
> Thanks very much Dimitri
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781708).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
>   package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
>   python3 package post-installation script subprocess returned error
>   exit status 4
>
> Status in python3-defaults package in Ubuntu:
>   Invalid
>
> Bug description:
>   Only Ubuntu Update
>
>   ProblemType: Package
>   DistroRelease: Ubuntu 18.04
>   Package: python3 3.6.5-3ubuntu1
>   ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
>   Uname: Linux 4.15.0-22-generic x86_64
>   ApportVersion: 2.20.9-0ubuntu7.2
>   Architecture: amd64
>   Date: Thu Jun 28 22:51:28 2018
>   ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
>   InstallationDate: Installed on 2018-04-13 (76 days ago)
>   InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
>   Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
>   PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
>   RelatedPackageVersions:
>dpkg 1.19.0.5ubuntu2
>apt  1.6.2
>   SourcePackage: python3-defaults
>   Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
>   UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python3-defaults in
Ubuntu.
https://bugs.launchpad.net/bugs/1779237

Title:
  package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
  python3 package post-installation script subprocess returned error
  exit status 4

Status in python3-defaults package in Ubuntu:
  Invalid

Bug description:
  Only Ubuntu Update

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: python3 3.6.5-3ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
  Uname: Linux 4.15.0-22-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  Date: Thu Jun 28 22:51:28 2018
  ErrorMessage: installed python3 package post-installation script subprocess 
returned error exit status 4
  InstallationDate: Installed on 2018-04-13 (76 days ago)
  InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 
(20180228)
  Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 
3.6.5-3ubuntu1
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2
   apt  1.6.2
  SourcePackage: python3-defaults
  Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed 
python3 package post-installation script subprocess returned error exit status 4
  UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1753572] Re: cpio in Busybox 1.27 ingnores "unsafe links"

2018-11-28 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: debirf (Ubuntu Bionic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to busybox in Ubuntu.
https://bugs.launchpad.net/bugs/1753572

Title:
  cpio in Busybox 1.27 ingnores "unsafe links"

Status in busybox package in Ubuntu:
  Fix Released
Status in debirf package in Ubuntu:
  Confirmed
Status in busybox source package in Bionic:
  Confirmed
Status in debirf source package in Bionic:
  Confirmed
Status in busybox source package in Cosmic:
  Fix Released
Status in debirf source package in Cosmic:
  Confirmed

Bug description:
  Description:Ubuntu Bionic Beaver (development branch)
  Release:18.04

  busybox:
Installed: 1:1.27.2-2ubuntu3
Candidate: 1:1.27.2-2ubuntu3

  3) Expected my CPIO archive to be fully extracted with proper symlinks
  Command: unxz < /rootfs.cxz | cpio -i

  4) 'Unsafe' symlinks were ignored such as:

  sbin/init -> /lib/systemd/systemd

  With the broken 1.27 sbin/init does not get created at all and my
  debirf initrd fails to load/boot properly.

  1.22 from Xenial works.
  GNU Cpio also works.

  It looks like 1.28 adds an env var to override this behavior:

  libarchive: do not extract unsafe symlinks unless
  $EXTRACT_UNSAFE_SYMLINKS=1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/busybox/+bug/1753572/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1779237] Re: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed python3 package post-installation script subprocess returned error exit status 4

2018-11-28 Thread Théo Vervaet
Solution proposed by Dimitri worked also for me

Thanks very much Dimitri

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python3-defaults in
Ubuntu.
https://bugs.launchpad.net/bugs/1779237

Title:
  package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
  python3 package post-installation script subprocess returned error
  exit status 4

Status in python3-defaults package in Ubuntu:
  Invalid

Bug description:
  Only Ubuntu Update

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: python3 3.6.5-3ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
  Uname: Linux 4.15.0-22-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  Date: Thu Jun 28 22:51:28 2018
  ErrorMessage: installed python3 package post-installation script subprocess 
returned error exit status 4
  InstallationDate: Installed on 2018-04-13 (76 days ago)
  InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 
(20180228)
  Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 
3.6.5-3ubuntu1
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2
   apt  1.6.2
  SourcePackage: python3-defaults
  Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed 
python3 package post-installation script subprocess returned error exit status 4
  UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1763520] Re: after upgrade to bionic, printing fails without explanation / logs / debuggability

2018-11-28 Thread Sebastien Bacher
@Till, did you try to upstream that patch?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1763520

Title:
  after upgrade to bionic, printing fails without explanation / logs /
  debuggability

Status in cups-filters package in Ubuntu:
  Invalid
Status in gtk+3.0 package in Ubuntu:
  Triaged

Bug description:
  I am unable to print to my network-attached printer after upgrade to
  bionic.  ps shows:

  lp   26047  0.0  0.0  91668  5756 ?S15:06   0:00  \_ 
HP-ENVY-4500-new 473 vorlon USCIS Form I-9 1 print-content-optimize=auto 
print-rendering-intent=auto cupsPrintQuality=4 number-up=1 MediaType=Stationery 
noCollate print-scaling=auto PageSize=Custom.Letter.SM ColorModel=RGB 
Duplex=DuplexNoTumble job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4
  lp   26050  0.1  0.0  0 0 ?Z15:06   0:00  |   \_ [gs] 

  lp   26048  0.0  0.0  79908  3836 ?S15:06   0:00  \_ 
HP-ENVY-4500-new 473 vorlon USCIS Form I-9 1 print-content-optimize=auto 
print-rendering-intent=auto cupsPrintQuality=4 number-up=1 MediaType=Stationery 
noCollate print-scaling=auto PageSize=Custom.Letter.SM ColorModel=RGB 
Duplex=DuplexNoTumble job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4
  root 26049  0.0  0.0  84388  6192 ?S15:06   0:00  \_ 
ipp://HP645106EA160E.local:631/ipp/print 473 vorlon USCIS Form I-9 1 
print-content-optimize=auto print-rendering-intent=auto cupsPrintQuality=4 
number-up=1 MediaType=Stationery noCollate print-scaling=auto 
PageSize=Custom.Letter.SM ColorModel=RGB Duplex=DuplexNoTumble 
job-uuid=urn:uuid:08c937ec-ccb6-3ff1-6ed4-212128e4257b 
job-originating-host-name=localhost date-time-at-creation= 
date-time-at-processing= time-at-creation=1523570792 
time-at-processing=1523570792 print-quality=4

  Note the un-reaped gs process.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: cups 2.2.7-1ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.9-0ubuntu4
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Apr 12 15:07:49 2018
  InstallationDate: Installed on 2010-09-24 (2757 days ago)
  InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 
(20100816.1)
  MachineType: LENOVO 2306CTO
  Papersize: letter
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-13-generic.efi.signed 
root=/dev/mapper/hostname-root ro quiet splash vt.handoff=1
  SourcePackage: cups
  UpgradeStatus: Upgraded to bionic on 2018-03-21 (21 days ago)
  dmi.bios.date: 10/25/2013
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G2ET97WW (2.57 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 2306CTO
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvrG2ET97WW(2.57):bd10/25/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.family: ThinkPad X230
  dmi.product.name: 2306CTO
  dmi.product.version: ThinkPad X230
  dmi.sys.vendor: LENOVO
  modified.conffile..etc.cups.cupsd.conf: [inaccessible: [Errno 13] Permission 
denied: '/etc/cups/cupsd.conf']

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups-filters/+bug/1763520/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805635] Re: package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-11-28 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1805635

Title:
  package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

Status in openssh package in Ubuntu:
  New

Bug description:
  I wasn't doing anything. Bug was there when I returned to screen first
  thing in the morning.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu2.6
  ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  Date: Wed Nov 28 06:21:09 2018
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 1
  InstallationDate: Installed on 2018-04-14 (227 days ago)
  InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 
(20180228)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.5
   apt  1.2.29
  SourcePackage: openssh
  Title: package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1805635/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778219] Re: unattended-upgrades hangs on shutdown, leaves system in a broken state

2018-11-28 Thread Balint Reczey
** Description changed:

  [Impact]
  
-  * Unattended-upgrades hangs and gets killed when installing upgrades
+  * Unattended-upgrades hangs and gets killed when installing upgrades
  that stat/stop services on shutdown, leaving the system in a broken
  state
  
  [Test Case]
  
-  * Install an updated bionic system:
-$ lxc launch ubuntu:18.04 uu-shutdown-test
-# apt update
-...
+  * Install an updated bionic system:
+    $ lxc launch ubuntu:18.04 uu-shutdown-test
+    # apt update
+    ...
  
-  * When testing the fixed version, install upgrade u-u at this point checking 
that u-u.service is set up before and is wanted by shutdown.target:
+  * When testing the fixed version, install upgrade u-u at this point checking 
that u-u.service is set up before and is wanted by shutdown.target:
  # systemd-analyze dot | grep unatt
-   "unattended-upgrades.service"->"-.mount" [color="green"];
-   "unattended-upgrades.service"->"system.slice" [color="green"];
-   "unattended-upgrades.service"->"network.target" [color="green"];
-   "unattended-upgrades.service"->"systemd-journald.socket" 
[color="green"];
-   "unattended-upgrades.service"->"local-fs.target" [color="green"];
-   "unattended-upgrades.service"->"-.mount" [color="black"];
-   "unattended-upgrades.service"->"system.slice" [color="black"];
-   "shutdown.target"->"unattended-upgrades.service" [color="green"];
-   "shutdown.target"->"unattended-upgrades.service" [color="grey66"];
-Color legend: black = Requires
-  dark blue = Requisite
-  dark grey = Wants
-  red   = Conflicts
-  green = After
+  "unattended-upgrades.service"->"-.mount" [color="green"];
+  "unattended-upgrades.service"->"system.slice" [color="green"];
+  "unattended-upgrades.service"->"network.target" [color="green"];
+  "unattended-upgrades.service"->"systemd-journald.socket" [color="green"];
+  "unattended-upgrades.service"->"local-fs.target" [color="green"];
+  "unattended-upgrades.service"->"-.mount" [color="black"];
+  "unattended-upgrades.service"->"system.slice" [color="black"];
+  "shutdown.target"->"unattended-upgrades.service" [color="green"];
+  "shutdown.target"->"unattended-upgrades.service" [color="grey66"];
+    Color legend: black = Requires
+  dark blue = Requisite
+  dark grey = Wants
+  red   = Conflicts
+  green = After
  
-  * Configure u-u to run on shutdown and install -updates:
-# echo 'Unattended-Upgrade::InstallOnShutdown "true";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-on-shutdown
-# echo 'Unattended-Upgrade::Allowed-Origins:: 
"${distro_id}:${distro_codename}-updates";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-updates-too
+  * Configure u-u to run on shutdown and install -updates:
+    # echo 'Unattended-Upgrade::InstallOnShutdown "true";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-on-shutdown
+    # echo 'Unattended-Upgrade::Allowed-Origins:: 
"${distro_id}:${distro_codename}-updates";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-updates-too
  
-  * Downgrade snapd:
-# apt install snapd=2.32.5+18.04
-  
-  * # reboot
+  * Downgrade snapd:
+    # apt install snapd=2.32.5+18.04
+  * Dowload packages for u-u:
+# unattended-upgrade --download-only
+  * Reboot using logind to let inhibitors hold up shutdown:
+    # dbus-send --system --print-reply --dest=org.freedesktop.login1 
/org/freedesktop/login1 "org.freedesktop.login1.Manager.Reboot" boolean:false
  
-  * With not fixed u-u observe the upgrade process being stuck:
-   # pstree| grep unatt
- 
`-unattended-upgr---unattended-upgr-+-unattended-upgr---dpkg---snapd.prerm---systemctl
- `-{unattended-upgr}
+  * With not fixed u-u observe the upgrade process being stuck:
+   # pstree| grep unatt
+ 
`-unattended-upgr---unattended-upgr-+-unattended-upgr---dpkg---snapd.prerm---systemctl
+ `-{unattended-upgr}
  
-  * With fixed u-u observe snapd update taking place and system rebooting
+  * With fixed u-u observe snapd update taking place and system rebooting
  after a few seconds with all updates installed
  
-  * Since this fix is partially reverting the fix for LP: #1654600 please
+  * Since this fix is partially reverting the fix for LP: #1654600 please
  test LP: #1654600 as well to avoid regressions.
  
  [Regression Potential]
  
-  * As part of the fix manual changes were made to postinst to properly 
transition from coupling u-u.service with multi-user.target to coupling it with 
shutdown.target again which can make u-u started during normal boot when there 
is a bug in the implementation.
+  * As part of the fix manual changes were made to postinst to properly 
transition from coupling u-u.service with multi-user.target to coupling it with 
shutdown.target again which can make u-u 

[Touch-packages] [Bug 1782908] Re: Package gtk-3-examples doesn't include icon gtk3-icon-browser

2018-11-28 Thread Sebastien Bacher
Thank you for your bug report. Indeed that seems an issue but not a
packaging one, upstream doesn't seem to include that icon either, it
should be reported on https://gitlab.gnome.org/GNOME/gtk/issues

** Changed in: gtk+3.0 (Ubuntu)
   Importance: Undecided => Low

** Changed in: gtk+3.0 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1782908

Title:
  Package gtk-3-examples doesn't include icon gtk3-icon-browser

Status in gtk+3.0 package in Ubuntu:
  Confirmed

Bug description:
  gtk3-icon-browser.desktop in package gtk-3-examples references icon
  gtk3-icon-browser:

  paulo:~$ grep ^Icon /usr/share/applications/gtk3-icon-browser.desktop
  Icon=gtk3-icon-browser

  but the packages doesn't include it:

  paulo:~$ dpkg -L gtk-3-examples | grep gtk3-icon-browser
  /usr/bin/gtk3-icon-browser
  /usr/share/applications/gtk3-icon-browser.desktop
  /usr/share/man/man1/gtk3-icon-browser.1.gz

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gtk-3-examples 3.22.30-1ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-29.31-generic 4.15.18
  Uname: Linux 4.15.0-29-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Sat Jul 21 10:52:17 2018
  InstallationDate: Installed on 2018-04-28 (84 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  SourcePackage: gtk+3.0
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1782908/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805635] [NEW] package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-11-28 Thread Joe
Public bug reported:

I wasn't doing anything. Bug was there when I returned to screen first
thing in the morning.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: openssh-server 1:7.2p2-4ubuntu2.6
ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-39-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
Date: Wed Nov 28 06:21:09 2018
ErrorMessage: subprocess installed post-installation script returned error exit 
status 1
InstallationDate: Installed on 2018-04-14 (227 days ago)
InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.5
 apt  1.2.29
SourcePackage: openssh
Title: package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: openssh (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1805635

Title:
  package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

Status in openssh package in Ubuntu:
  New

Bug description:
  I wasn't doing anything. Bug was there when I returned to screen first
  thing in the morning.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu2.6
  ProcVersionSignature: Ubuntu 4.15.0-39.42~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  Date: Wed Nov 28 06:21:09 2018
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 1
  InstallationDate: Installed on 2018-04-14 (227 days ago)
  InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 
(20180228)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.5
   apt  1.2.29
  SourcePackage: openssh
  Title: package openssh-server 1:7.2p2-4ubuntu2.6 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1805635/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803534] Re: Backport uuid based cache file naming scheme

2018-11-28 Thread Ken VanDine
I've uploaded 2.12.6-0ubuntu2.3 making libfontconfig1-dev depend on
uuid-dev

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1803534

Title:
  Backport uuid based cache file naming scheme

Status in fontconfig package in Ubuntu:
  New
Status in fontconfig source package in Bionic:
  Fix Committed

Bug description:
  Fontconfig 2.13.0 changed the cache file naming scheme to be based on
  the contents of ".uuid" file in the directory rather than a hash of
  the directory name.  On a pure debs system this doesn't really matter
  since everything is using the same libfontconfig.so.

  When snaps are involved, it can lead to some apps not seeing the cache
  files produced by a different fontconfig version.  In particular,
  while libfontconfig 2.13 can reuse 2.12's cache files for read only
  directories, the reverse is not true.  This will be a problem for apps
  built on top of the "core18" base snap when run on later Ubuntu
  releases (cosmic, disco, etc).

  By providing a backport of the UUID cache file feature to bionic for
  use by snap applications, we'd avoid this.  Having it in bionic-
  updates would be ideal so that snapcraft picks it up automatically.

  [Impact]

   * This update changes how fontconfig cache files are named, instead
  of using md5($dir), it instead uses the contents of a $dir/.uuid file.
  No changes are made to the format of the cache file contents.

   * This change is primarily intended for use by snap applications
  built with core18: as the updated libfontconfig will fall back to the
  md5 cache file names for read-only directories without a .uuid file,
  they will be able to reuse cache files from any host system running
  fontconfig >= 2.11.95

  [Test Case]

   * After installing the update, cache files should be generated in
  /var/cache/fontconfig/ with names like "07b67f7a-16ea-4440-9b6c-
  21fc9153568c-le64.cache-7" (note the extra dashes not present in the
  MD5 based cache file names).

  [Regression Potential]

   * Applications using a non-default libfontconfig could end up not
  finding the new cache files and regenerating them in
  ~/.cache/fontconfig.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1803534/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1805048] Re: [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or crackling sound. It's not my microphone, it's every audio input... Audio output is fine

2018-11-28 Thread Paul
What voice apps do you want me to use ? I already tried audio recorder
and audacity and the cracklings are still there I'v sent you the
'journal.txt' files

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1805048

Title:
  [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or
  crackling sound. It's not my microphone, it's every audio input...
  Audio output is fine

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  Motherboard : MSI B350M BAZOOKA

  It happens all the time, and with every audio input...

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: pulseaudio 1:11.1-1ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-39.42-generic 4.15.18
  Uname: Linux 4.15.0-39-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  p4ul1  1433 F pulseaudio
   /dev/snd/pcmC1D0c:   p4ul1  1433 F...m pulseaudio
   /dev/snd/pcmC1D0p:   p4ul1  1433 F...m pulseaudio
   /dev/snd/controlC1:  p4ul1  1433 F pulseaudio
  CurrentDesktop: communitheme:ubuntu:GNOME
  Date: Sun Nov 25 21:40:48 2018
  InstallationDate: Installed on 2018-11-25 (0 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_AlsaRecordingTest: ALSA recording test through plughw:Generic 
successful
  Symptom_Card: Family 17h (Models 00h-0fh) HD Audio Controller - HD-Audio 
Generic
  Symptom_Jack: Pink Mic, Front
  Symptom_PulseAudioLog:
   Nov 25 21:02:45 p4ul1-MS-7A38 dbus-daemon[806]: [system] Activating via 
systemd: service name='org.freedesktop.RealtimeKit1' 
unit='rtkit-daemon.service' requested by ':1.32' (uid=121 pid=1123 
comm="/usr/bin/pulseaudio --daemonize=no " label="unconfined")
   Nov 25 21:02:46 p4ul1-MS-7A38 dbus-daemon[806]: [system] Activating via 
systemd: service name='org.bluez' unit='dbus-org.bluez.service' requested by 
':1.59' (uid=121 pid=1123 comm="/usr/bin/pulseaudio --daemonize=no " 
label="unconfined")
  Symptom_PulseAudioRecordingTest: PulseAudio recording test through 
plughw:Generic failed
  Symptom_Type: Underruns, dropouts, or "crackling" sound
  Title: [MS-7A38, Realtek ALC892, Pink Mic, Front] Underruns, dropouts or 
crackling sound
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/19/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1.70
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: B350M BAZOOKA (MS-7A38)
  dmi.board.vendor: Micro-Star International Co., Ltd
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Micro-Star International Co., Ltd.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1.70:bd09/19/2017:svnMicro-StarInternationalCo.,Ltd.:pnMS-7A38:pvr1.0:rvnMicro-StarInternationalCo.,Ltd:rnB350MBAZOOKA(MS-7A38):rvr1.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr1.0:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: MS-7A38
  dmi.product.version: 1.0
  dmi.sys.vendor: Micro-Star International Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1805048/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803487] Re: gnome-shell crashes with SIGSEGV in gweather_location_common_deserialize → gweather_location_format_two_deserialize → gweather_location_deserialize → ffi_call_unix64

2018-11-28 Thread Iain Lane
It's uploaded, thanks.

I did make some changes though.

  - Drop the debian/rules changes - they made the package fail to build! (and 
aren't required for the SRU).
  - debian/control.in, debian/gbp.conf: Use the right branch.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libgweather in Ubuntu.
https://bugs.launchpad.net/bugs/1803487

Title:
  gnome-shell crashes with SIGSEGV in
  gweather_location_common_deserialize →
  gweather_location_format_two_deserialize →
  gweather_location_deserialize → ffi_call_unix64 → ffi_call

Status in gnome-shell package in Ubuntu:
  Fix Released
Status in libgweather package in Ubuntu:
  Fix Released
Status in gnome-shell source package in Bionic:
  Invalid
Status in libgweather source package in Bionic:
  In Progress

Bug description:
  [ Description ]

  The second stable release in the 3.28 series.

  [ QA ]

  Run Ubuntu session, expect the shell to show weather information and
  not to crash on timezone changes

  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [ Regresison potential ]

  Weather location might be leaked. However this is very safe as
  upstream fix comes with proper testing.

  ---

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
gnome-shell.  This problem was most recently seen with package version 
3.28.3-0ubuntu0.18.04.3, the problem page at 
https://errors.ubuntu.com/problem/4ff1b7671a7dc53f26da1c0f78af65d0cc5168fa 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1803487/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803534] Re: Backport uuid based cache file naming scheme

2018-11-28 Thread Sebastien Bacher
(I've deleted that SRU from bionic-proposed because it was making other
SRUs failing to build)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1803534

Title:
  Backport uuid based cache file naming scheme

Status in fontconfig package in Ubuntu:
  New
Status in fontconfig source package in Bionic:
  Fix Committed

Bug description:
  Fontconfig 2.13.0 changed the cache file naming scheme to be based on
  the contents of ".uuid" file in the directory rather than a hash of
  the directory name.  On a pure debs system this doesn't really matter
  since everything is using the same libfontconfig.so.

  When snaps are involved, it can lead to some apps not seeing the cache
  files produced by a different fontconfig version.  In particular,
  while libfontconfig 2.13 can reuse 2.12's cache files for read only
  directories, the reverse is not true.  This will be a problem for apps
  built on top of the "core18" base snap when run on later Ubuntu
  releases (cosmic, disco, etc).

  By providing a backport of the UUID cache file feature to bionic for
  use by snap applications, we'd avoid this.  Having it in bionic-
  updates would be ideal so that snapcraft picks it up automatically.

  [Impact]

   * This update changes how fontconfig cache files are named, instead
  of using md5($dir), it instead uses the contents of a $dir/.uuid file.
  No changes are made to the format of the cache file contents.

   * This change is primarily intended for use by snap applications
  built with core18: as the updated libfontconfig will fall back to the
  md5 cache file names for read-only directories without a .uuid file,
  they will be able to reuse cache files from any host system running
  fontconfig >= 2.11.95

  [Test Case]

   * After installing the update, cache files should be generated in
  /var/cache/fontconfig/ with names like "07b67f7a-16ea-4440-9b6c-
  21fc9153568c-le64.cache-7" (note the extra dashes not present in the
  MD5 based cache file names).

  [Regression Potential]

   * Applications using a non-default libfontconfig could end up not
  finding the new cache files and regenerating them in
  ~/.cache/fontconfig.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1803534/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1798073] Re: [SRU] Provide 2018 archive signing key on stable releases

2018-11-28 Thread Robie Basak
The other obvious regression potential (to me anyway) is that previously
existing keys become missing. Could someone check for that please?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyring in Ubuntu.
https://bugs.launchpad.net/bugs/1798073

Title:
  [SRU] Provide 2018 archive signing key on stable releases

Status in ubuntu-keyring package in Ubuntu:
  Fix Released
Status in ubuntu-keyring source package in Bionic:
  Fix Committed

Bug description:
  [Impact]

   * For LTS releases to be able to bootstrap dual and single signed
  future releases, and validate all signatures, 2018 archive signing key
  should be SRUed back

   * Also build process has improved documentation and vague validation
  that all key snippets are signed correctly

  [Test Case]

   * $ apt-key list
  ...
  /etc/apt/trusted.gpg.d/ubuntu-keyring-2018-archive.gpg
  --
  pub   rsa4096 2018-09-17 [SC]
    F6EC B376 2474 EDA9 D21B  7022 8719 20D1 991B C93C
  uid   [ unknown] Ubuntu Archive Automatic Signing Key (2018) 

  ...

  apt-key list should contain the 2018 archive key.

  [Regression Potential]

   * Build-process, key algo, and key size, and file format are the same
  as previous key snippets thus supported by all of gpg1 gpg2 gpgv1
  gpgv2.

  [Other Info]

   * 2018 key is to be used for dual-signing in DD series and up

   * Bileto PPA is built against security pocket only, suitable to be
  released into both -security and -updates

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-keyring/+bug/1798073/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778946] Re: No dns resolution after closing a vpn/pptp connection

2018-11-28 Thread Will Cooke
Sorry for the delay here.

Is this what you were interested in @cyphermox?

While VPN is up:

$ ls -lha /run/systemd/resolve/
total 16K
drwxr-xr-x  3 systemd-resolve systemd-resolve 140 Nov 28 12:29 .
drwxr-xr-x 20 rootroot460 Nov 28 12:28 ..
drwx--  2 systemd-resolve systemd-resolve  80 Nov 28 12:29 netif
-rw-r--r--  1 systemd-resolve systemd-resolve 647 Nov 28 12:29 resolv.conf
-rw-r--r--  1 systemd-resolve systemd-resolve 712 Nov 28 12:29 stub-resolv.conf
-rw---  1 rootroot712 Nov 28 12:27 
stub-resolv.conf.pppd-backup.ppp0
-rw-r--r--  1 rootroot728 Nov 28 12:29 
stub-resolv.conf.tmp


After VPN is closed:


$ ls -lha /run/systemd/resolve/
total 12K
drwxr-xr-x  3 systemd-resolve systemd-resolve 120 Nov 28 12:32 .
drwxr-xr-x 20 rootroot460 Nov 28 12:28 ..
drwx--  2 systemd-resolve systemd-resolve  60 Nov 28 12:32 netif
-rw-r--r--  1 systemd-resolve systemd-resolve 647 Nov 28 12:32 resolv.conf
-rw---  1 rootroot712 Nov 28 12:27 stub-resolv.conf
-rw-r--r--  1 rootroot728 Nov 28 12:29 
stub-resolv.conf.tmp


Attached are the files after the VPN is shutdown.



** Attachment added: "systemd_resolve.tgz"
   
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1778946/+attachment/5216985/+files/systemd_resolve.tgz

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to resolvconf in Ubuntu.
https://bugs.launchpad.net/bugs/1778946

Title:
  No dns resolution after closing a vpn/pptp connection

Status in network-manager package in Ubuntu:
  Confirmed
Status in ppp package in Ubuntu:
  Confirmed
Status in resolvconf package in Ubuntu:
  Confirmed

Bug description:
  step to reproduce

  set a VPN connection configured to connect a Microsoft vpn server
  (pptp)

  internet acces is ok

  enable the vpn connection using the applet on the top right corner of
  the desktop

  internet still ok
  ping works

  disable the vpn connection

  ping doesn't works with a host but works if i specify an ip address

  ping: xx.net: Nom ou service inconnu

  As a workaround, i disable the ethernet link and re-enable it

  name resolution is now ok

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: network-manager 1.10.6-2ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
  Uname: Linux 4.15.0-23-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jun 27 18:09:30 2018
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2014-06-03 (1484 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  IpRoute:
   default via 192.168.0.254 dev eth0 proto dhcp metric 20100 
   169.254.0.0/16 dev eth0 scope link metric 1000 
   192.168.0.0/24 dev eth0 proto kernel scope link src 192.168.0.47 metric 100
  IwConfig:
   lono wireless extensions.
   
   eth0  no wireless extensions.
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  RfKill:
   
  SourcePackage: network-manager
  UpgradeStatus: Upgraded to bionic on 2018-05-10 (48 days ago)
  nmcli-dev:
   DEVICE  TYPE  STATE  DBUS-PATH  
CONNECTION   CON-UUID  CON-PATH 
  
   eth0ethernet  connected  /org/freedesktop/NetworkManager/Devices/2  
Connexion filaire 1  94806bba-1c68-46b6-87f4-a3aff6dd  
/org/freedesktop/NetworkManager/ActiveConnection/6 
   lo  loopback  unmanaged  /org/freedesktop/NetworkManager/Devices/1  --   
----
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  
WIFI-HW  WIFI WWAN-HW  WWAN
   running  1.10.6   connected (site only)  started  limited   enabled 
enabled  enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1778946/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803487] Re: gnome-shell crashes with SIGSEGV in gweather_location_common_deserialize → gweather_location_format_two_deserialize → gweather_location_deserialize → ffi_call_unix64

2018-11-28 Thread Iain Lane
** Also affects: libgweather (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: gnome-shell (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: gnome-shell (Ubuntu Bionic)
   Status: New => Invalid

** Changed in: libgweather (Ubuntu)
   Status: New => Fix Released

** Changed in: libgweather (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: libgweather (Ubuntu Bionic)
 Assignee: (unassigned) => Marco Trevisan (Treviño) (3v1n0)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libgweather in Ubuntu.
https://bugs.launchpad.net/bugs/1803487

Title:
  gnome-shell crashes with SIGSEGV in
  gweather_location_common_deserialize →
  gweather_location_format_two_deserialize →
  gweather_location_deserialize → ffi_call_unix64 → ffi_call

Status in gnome-shell package in Ubuntu:
  Fix Released
Status in libgweather package in Ubuntu:
  Fix Released
Status in gnome-shell source package in Bionic:
  Invalid
Status in libgweather source package in Bionic:
  In Progress

Bug description:
  [ Description ]

  The second stable release in the 3.28 series.

  [ QA ]

  Run Ubuntu session, expect the shell to show weather information and
  not to crash on timezone changes

  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [ Regresison potential ]

  Weather location might be leaked. However this is very safe as
  upstream fix comes with proper testing.

  ---

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
gnome-shell.  This problem was most recently seen with package version 
3.28.3-0ubuntu0.18.04.3, the problem page at 
https://errors.ubuntu.com/problem/4ff1b7671a7dc53f26da1c0f78af65d0cc5168fa 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1803487/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803534] Re: Backport uuid based cache file naming scheme

2018-11-28 Thread Sebastien Bacher
The SRU regressed autopkgtests; one example on gtk

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
/autopkgtest-bionic/bionic/amd64/g/gtk+3.0/20181127_225405_35f5b@/log.gz

"Package uuid was not found in the pkg-config search path.
Perhaps you should add the directory containing `uuid.pc'
to the PKG_CONFIG_PATH environment variable"

It looks like libfontconfig1-dev needs a depend on uuid-dev which was
overlooked in the SRU

Marking that version as verification-failed

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-failed verification-failed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1803534

Title:
  Backport uuid based cache file naming scheme

Status in fontconfig package in Ubuntu:
  New
Status in fontconfig source package in Bionic:
  Fix Committed

Bug description:
  Fontconfig 2.13.0 changed the cache file naming scheme to be based on
  the contents of ".uuid" file in the directory rather than a hash of
  the directory name.  On a pure debs system this doesn't really matter
  since everything is using the same libfontconfig.so.

  When snaps are involved, it can lead to some apps not seeing the cache
  files produced by a different fontconfig version.  In particular,
  while libfontconfig 2.13 can reuse 2.12's cache files for read only
  directories, the reverse is not true.  This will be a problem for apps
  built on top of the "core18" base snap when run on later Ubuntu
  releases (cosmic, disco, etc).

  By providing a backport of the UUID cache file feature to bionic for
  use by snap applications, we'd avoid this.  Having it in bionic-
  updates would be ideal so that snapcraft picks it up automatically.

  [Impact]

   * This update changes how fontconfig cache files are named, instead
  of using md5($dir), it instead uses the contents of a $dir/.uuid file.
  No changes are made to the format of the cache file contents.

   * This change is primarily intended for use by snap applications
  built with core18: as the updated libfontconfig will fall back to the
  md5 cache file names for read-only directories without a .uuid file,
  they will be able to reuse cache files from any host system running
  fontconfig >= 2.11.95

  [Test Case]

   * After installing the update, cache files should be generated in
  /var/cache/fontconfig/ with names like "07b67f7a-16ea-4440-9b6c-
  21fc9153568c-le64.cache-7" (note the extra dashes not present in the
  MD5 based cache file names).

  [Regression Potential]

   * Applications using a non-default libfontconfig could end up not
  finding the new cache files and regenerating them in
  ~/.cache/fontconfig.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1803534/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 218494] Re: ConsoleKit does not play nicely with multiseat configurations, resulting in failure to mount usb devices (pen drives)

2018-11-28 Thread Bug Watch Updater
** Changed in: consolekit (Debian)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to consolekit in Ubuntu.
https://bugs.launchpad.net/bugs/218494

Title:
  ConsoleKit does not play nicely with multiseat configurations,
  resulting in failure to mount usb devices (pen drives)

Status in ConsoleKit:
  Confirmed
Status in consolekit package in Ubuntu:
  Confirmed
Status in consolekit package in Debian:
  Fix Released

Bug description:
  Binary package hint: hal

  This is a machine that was upgraded (six months ago) from 7.04 to 7.10
  and not to 8.04 beta.

  When I plug in an USB device hal doesn't mount it. This happens with more 
than one device (tried
  U3 MP3 player and a small card reader). The same devices work well in my 
laptop that is also running hardy.

  Looking at the output of hald --daemon=no I get something like:

  using action org.freedesktop.hal.storage.mount-removable for uid 
1000, system_bus_connection :1.123
  pid 8027: rc=1 signaled=0: /usr/lib/hal/hal-storage-mount
  Run started hald-probe-storage (1) (0) 
  !  full path is '/usr/lib/hal/hald-probe-storage', program_dir is 
'/usr/lib/hal'
  woohoo
  pid 8034: rc=2 signaled=0: /usr/lib/hal/hald-probe-storage

  In the laptop where everything works, I can see some extra lines just
  after the first above that says:

  passed privilege
  3563: XYA creating /media/.hal-mtab~
  3563: XYA closing /media/.hal-mtab~
  3563: XYA done renaming /media/.hal-mtab~ /media/.hal-mtab
  3563: XYA released lock on /media/.hal-mtab-lock

  I will attach the files described in
  https://wiki.ubuntu.com/DebuggingRemovableDevices, maybe they can
  help.

  The output of the id commands are:

  pjssilva@leia:~$ id
  uid=1000(pjssilva) gid=1000(pjssilva) 
grupos=4(adm),7(lp),20(dialout),24(cdrom),25(floppy),29(audio),30(dip),44(video),46(plugdev),100(users),104(lpadmin),105(scanner),106(admin),113(fuse),124(pulse),125(vboxusers),1000(pjssilva)
  pjssilva@leia:~$ id hal
  id: hal: Usuário inexistente
  pjssilva@leia:~$ id haldaemon
  uid=110(haldaemon) gid=110(haldaemon) 
grupos=110(haldaemon),24(cdrom),25(floppy),46(plugdev),121(powerdev)
  pjssilva@leia:~$ uname -a
  Linux leia 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 
GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/consolekit/+bug/218494/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1775018] Comment bridged from LTC Bugzilla

2018-11-28 Thread bugproxy
--- Comment From heinz-werner_se...@de.ibm.com 2018-11-28 06:02 EDT---
@Canonical. any update available here? Thx

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1775018

Title:
  Fix for openssl 1.0.2 backport

Status in Ubuntu on IBM z Systems:
  Triaged
Status in openssl package in Ubuntu:
  New

Bug description:
  This is a fix for this feature's backport to openssl 1.0.2 ( 1.1.0 and
  upstream code are not affected ).

  Original LP ticket : 
  https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1743750

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1775018/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803316] Re: VPN connection is stopped

2018-11-28 Thread Sebastien Bacher
Thank you for your bug report. Did you upgrade/change anything when it stopped 
working? Can you connect to the VPN from another device/OS?
Could you give some details on the type of VPN you are using and how it's 
configured?

** Changed in: network-manager (Ubuntu)
   Importance: Undecided => High

** Changed in: network-manager (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1803316

Title:
  VPN connection is stopped

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  From a few days I cannot connect via VPN, It worked from a few months

  *sudo apt policy network-manager*

  network-manager:
Installed: 1.2.6-0ubuntu0.16.04.3
Candidate: 1.2.6-0ubuntu0.16.04.3
Versions:
   *** 1.2.6-0ubuntu0.16.04.3 500
  500 http://ftp.agh.edu.pl/ubuntu xenial-updates/main amd64 Packages
  500 http://ftp.agh.edu.pl/ubuntu xenial-security/main amd64 Packages
  100 /var/lib/dpkg/status
   1.1.93-0ubuntu4 500
  500 http://ftp.agh.edu.pl/ubuntu xenial/main amd64 Packages

  
  */var/sys/log*

  
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8520] audit: 
op="connection-activate" uuid="3872fc1d-94ce-465e-8d52-7bbeb3eb72fe" name="HS 
VPN" pid=13561 uid=1000 result="success"
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8706] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: 
Started the VPN service, PID 2396
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.8815] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: Saw 
the service appear; activating connection
  Nov 14 10:46:07 hs NetworkManager[1081]:   [1542188767.9989] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
connection: (ConnectInteractive) reply received
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: pppd started with pid 
2405
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0148] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: starting (3)
  Nov 14 10:46:08 hs pppd[2405]: Plugin 
/usr/lib/pppd/2.4.7/nm-pptp-pppd-plugin.so loaded.
  Nov 14 10:46:08 hs NetworkManager[1081]: Plugin 
/usr/lib/pppd/2.4.7/nm-pptp-pppd-plugin.so loaded.
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(plugin_init): initializing
  Nov 14 10:46:08 hs pppd[2405]: pppd 2.4.7 started by root, uid 0
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 3 / phase 'serial connection'
  Nov 14 10:46:08 hs NetworkManager[1081]: nm_device_get_device_type: assertion 
'NM_IS_DEVICE (self)' failed
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0226] manager: 
(ppp0): new Generic device (/org/freedesktop/NetworkManager/Devices/47)
  Nov 14 10:46:08 hs pptp[2411]: nm-pptp-service-2396 log[main:pptp.c:350]: The 
synchronous pptp option is NOT activated
  Nov 14 10:46:08 hs pppd[2405]: Using interface ppp0
  Nov 14 10:46:08 hs NetworkManager[1081]: Using interface ppp0
  Nov 14 10:46:08 hs pppd[2405]: Connect: ppp0 <--> /dev/pts/22
  Nov 14 10:46:08 hs NetworkManager[1081]: Connect: ppp0 <--> /dev/pts/22
  Nov 14 10:46:08 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 5 / phase 'establish'
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0391] devices 
added (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
  Nov 14 10:46:08 hs NetworkManager[1081]:   [1542188768.0392] device 
added (path: /sys/devices/virtual/net/ppp0, iface: ppp0): no ifupdown 
configuration found.
  Nov 14 10:46:39 hs pppd[2405]: LCP: timeout sending Config-Requests
  Nov 14 10:46:39 hs NetworkManager[1081]: LCP: timeout sending Config-Requests
  Nov 14 10:46:39 hs NetworkManager[1081]: ** Message: nm-pptp-ppp-plugin: 
(nm_phasechange): status 11 / phase 'disconnect'
  Nov 14 10:46:39 hs NetworkManager[1081]: Connection terminated.
  Nov 14 10:46:39 hs pppd[2405]: Connection terminated.
  Nov 14 10:46:39 hs NetworkManager[1081]: ** Message: Terminated ppp daemon 
with PID 2405.
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0566] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: failed: connect-failed (1)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0577] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: stopping (5)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0579] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state changed: stopped (6)
  Nov 14 10:46:39 hs NetworkManager[1081]:   [1542188799.0680] 
vpn-connection[0x134c1c0,3872fc1d-94ce-465e-8d52-7bbeb3eb72fe,"HS VPN",0]: VPN 
plugin: state change reason: 

[Touch-packages] [Bug 1803562] Re: Please merge 2:4.20-1 into disco

2018-11-28 Thread Launchpad Bug Tracker
This bug was fixed in the package nspr - 2:4.20-1ubuntu1

---
nspr (2:4.20-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1803562).
  * Remaining changes:
- d/p/fix_test_errcodes_for_runpath.patch: Fix testcases to handle
  zesty linker default changing to --enable-new-dtags for -rpath.
  * Dropped changes:
- d/rules: Enable Thumb2 build on armel, armhf.

nspr (2:4.20-1) unstable; urgency=medium

  * New upstream release.

nspr (2:4.19-3) unstable; urgency=medium

  * debian/rules: Add missing epoch in dbgsym migration version.

nspr (2:4.19-2) unstable; urgency=medium

  * debian/control: Update Maintainer and Vcs fields, moving off alioth.
  * debian/control, debian/rules: Generate dbgsym package.
  * debian/copyright: Switch to machine-readable format.
  * debian/control: Bump Standards-Version to 4.1.4.

nspr (2:4.19-1) unstable; urgency=medium

  * New upstream release. Closes: #894982.

 -- Karl Stenerud   Thu, 22 Nov 2018
11:05:16 +0100

** Changed in: nspr (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nspr in Ubuntu.
https://bugs.launchpad.net/bugs/1803562

Title:
  Please merge 2:4.20-1 into disco

Status in nspr package in Ubuntu:
  Fix Released

Bug description:
  Please merge 2:4.20-1 into disco

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nspr/+bug/1803562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1652486] Re: mesa gpu lockup

2018-11-28 Thread Bug Watch Updater
Launchpad has imported 82 comments from the remote bug at
https://bugs.freedesktop.org/show_bug.cgi?id=93649.

If you reply to an imported comment from within Launchpad, your comment
will be sent to the remote bug automatically. Read more about
Launchpad's inter-bugtracker facilities at
https://help.launchpad.net/InterBugTracking.


On 2016-01-10T05:11:02+00:00 Nhdls-matthew-8d0ze wrote:

Created attachment 120925
Kernel dmesg around the time of the lockup.

After a period of time playing the latest version of TF2, my GPU locks
up.  After the kernel tries to reset, the X becomes stuck and won't
work.  The rest of the system is fine however.  Sometimes, the GPU will
reset successfully and continue working, only to lockup later,
eventually freezing X.

Hardware:
GPU: Gigabyte Radeon HD 7970 Ghz edition OC
CPU: AMD Phenom ii X6 1100T
MB: Asus Crosshair IV Formula

Software:
Mesa: 11.1.0
DRM: 2.4.65
LLVM: 3.7.0
X: 1.17.4
DDX: 7.6.1
Kernel: 4.3.3

I have a dmesg with debug turned on and a strace of X from around the
time it crashes (attached).  I reduced the log file to the relevant
bits, as they are quite large.  I'll retry with latest git, see if it
helps anywhere.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/0


On 2016-01-10T05:13:28+00:00 Nhdls-matthew-8d0ze wrote:

Created attachment 120926
Strace of Xorg up to X freezing

FD 20 is the drm device node, and it freezes on ioctl 0xc020645d.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/1


On 2016-01-10T07:09:32+00:00 Nhdls-matthew-8d0ze wrote:

Created attachment 120927
Radeon blocked locks

Since X seemed blocked on an ioctl, I managed to get a list of all the
blocked locks, and found most of my taken locks were from GUI related
programs who would be doing GL things, and they are all blocked on a
lock, including one that is currently trying to reset my GPU.

I'm guessing there is a lock that is being grabbed twice, once when
userspace makes an ioctl, and again during the reset.  I'll keep
digging.


Also, I think this may be a duplicate of #90217, as both involve source games.  
I'll leave this open for now, in case tf2 has a different trigger.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/2


On 2016-01-19T18:20:07+00:00 RussianNeuroMancer wrote:

There is other logs:
https://github.com/ValveSoftware/Source-1-Games/issues/1943

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/3


On 2016-01-24T05:30:15+00:00 Nhdls-matthew-8d0ze wrote:

Created attachment 121242
This helps avoid a complete crash when a lockup occurs.

Note this doesn't solve this bug, it just helps manage it.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/4


On 2016-01-26T05:03:59+00:00 Paul Jago wrote:

Can confirm, I have either the same or a similar problem on my R9 390
(using radeon, with DPM disabled). It doesn't just crash X though, it
completely locks up and I have to reboot to even use TTY. Happens after
10-20 mins of TF2.

Running Arch Linux with everything up to date but no AUR packages, will
post specifics later.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/5


On 2016-01-26T05:18:46+00:00 Nhdls-matthew-8d0ze wrote:

Created attachment 121293
Second patch to fix system lockup after gpu reset

This is already taken accepted from the mailing list, including here for
completeness.

If anyone is experiencing this issue, can you please try with all of
these patches applied?  For now, X should die and restart without
acceleration, but getting a dmesg out or restarting should be fine.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/6


On 2016-01-26T10:09:36+00:00 Paul Jago wrote:

CPU: FX 8350
GPU: R9 390
MB: Asrock 970 Extreme4

Software:

Kernel: 4.3.3-3-ARCH x86_64
Mesa: 11.1.1
DRM: 2.43.0
LLVM: 3.7.0
X: 1.18.0


As mentioned above, I get the crash with TF2, but *NOT* CS:GO.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/7


On 2016-01-26T16:07:51+00:00 Paul Jago wrote:

Also, this could be a duplicate of bug #92912 - random lockups in TF2,
all with radeon.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1652486/comments/8


[Touch-packages] [Bug 1805358] Re: autopkgtest boot-and-services fails on many architectures very often since systemd/239-7ubuntu12

2018-11-28 Thread Ubuntu Foundations Team Bug Bot
** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1805358

Title:
  autopkgtest boot-and-services fails on many architectures very often
  since systemd/239-7ubuntu12

Status in systemd package in Ubuntu:
  New

Bug description:
  I appreciate that some old known issues on 'upstream' are fixed.
  But looking at the current tests I see that often on amd64 (2/3 and very 
often on ppc64le (4/4 since ubuntu12 and 11/11 before that version).

  Looking at the list of people hitting retry and the list of packages
  blocked that seems an issue that must be checked.

  See current head of tests at:
  amd64: http://autopkgtest.ubuntu.com/packages/s/systemd/disco/amd64
  ppc64el: http://autopkgtest.ubuntu.com/packages/s/systemd/disco/ppc64el

  One example log:
  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-disco/disco/ppc64el/s/systemd/20181126_074048_cb8d2@/log.gz

  Example of the error that one can see in the log:
  test_no_failed (__main__.ServicesTest)
  No failed units ...  journal for failed service user@118.service 
---
  -- Logs begin at Tue 2018-10-30 09:54:39 UTC, end at Mon 2018-11-26 07:05:17 
UTC. --
  Nov 26 07:05:09 autopkgtest systemd[1]: Starting User Manager for UID 118...
  Nov 26 07:05:10 autopkgtest systemd[1292]: pam_unix(systemd-user:session): 
session opened for user gdm by (uid=0)
  Nov 26 07:05:10 autopkgtest systemd[1292]: Failed to fully start up daemon: 
Permission denied
  Nov 26 07:05:10 autopkgtest systemd[1]: user@118.service: Failed with result 
'protocol'.
  Nov 26 07:05:10 autopkgtest systemd[1]: Failed to start User Manager for UID 
118.
  FAIL

  ==
  FAIL: test_no_failed (__main__.ServicesTest)
  No failed units
  --
  Traceback (most recent call last):
File 
"/tmp/autopkgtest.Xm5RBa/build.JSa/src/debian/tests/boot-and-services", line 
62, in test_no_failed
  self.assertEqual(failed, [])
  AssertionError: Lists differ: ['user@118.service loaded failed failed User 
Manager for UID 118'] != []

  First list contains 1 additional elements.
  First extra element 0:
  'user@118.service loaded failed failed User Manager for UID 118'

  - ['user@118.service loaded failed failed User Manager for UID 118']
  + []

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1805358/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp